
REM Created: Tue Aug 25 13:04:02 2015 by Robby Hannan (Emerson)

REM =====CONSOLE MEMORY ADDRESSES=====
REM $0500-$09F6	
REM	$5000-$6F88
REM	$4820-$4FD0	
REM $2000-2994
REM $8040-$9340
REM	$2995-$2FFF		free
REM	$4000-$47FF		free
REM	$7001-$77FF		free
REM	$9341-$B7FF		free
REM $EA23-$F7FF		free
REM $C040-$EA22		beat_level_music, dim_check, row_throw, sail, upgrade backgrounds data, sounds and music
REM $B800-$BF7F		item upgrade [bitmaps only] 				(rom only memory)
REM	$7800-$7E5B		sprites, map and background	data 			(rom only memory)
REM $F800-$FD93		title_screen, lose_life, beat_level data 	(rom only memory)

REM =====ROW THROW GRAM MAP=====
REM 0-52	row_throw_bitmaps
REM 53-55	paddle	'hands = 2
REM 54-55	harpoon	'hands = 1
REM	56		???
REM 57-59	blood
REM 60-62	whale_bitmaps
REM	63		harpoon_3

REM =====SAIL GRAM MAP=====
REM 0-56	sail_bitmaps 'hands = 3	
REM	57-59	blood
REM 60-62	whale bitmaps
REM	63		harpoon_3
	
include "constants.bas"	
	
reset:
	
dim stormx_map(12)
dim stormy_map(12)
#day_cnt = 0
#char_dir = 0
#enemy_dir = 0
#score = 0
#new_score = 0
#next_score = 100
lives = 3
health = 4
level = 1
timeout_flag = 0
map = 0
whalex = 22
whaley = 81	
dir_cnt = 5
direction = 1
hands = 2
offset = 160
player_x = 77
player_y = 75
whalex_map = 77
whaley_map = 60
row_total = 4
row_speed = 4
row_cnt = 5
row = 1
kill_qty = 2
kill_cnt = 0
hit_cnt = 0
hit_total = 3
harp1 = 0
harp2 = 0
harp3 = 0
harpoon = 1
wind_flute = 1
paddle = 1
wind_cnt = 0
'wind_direction = 7
town_check = 0
town1_cnt = 0
town2_cnt = 0
town3_cnt = 0
enemy = 0
enemy_atk = 0
draw_x = 6
draw_y = 5
wave_x = 0
wave_y = 0
daytime = 0
daytime_cnt = 0
sun_x = 0
storm_cnt = 60
storm_cnt_total = 60
storm_qty = 5
storm_roll = 65
for cnt = 1 to 12
	stormx_map(cnt) = 0
	stormy_map(cnt) = 0
next cnt
wait
REM =====edit whale_xy to restore random location=====
'whalex_map = (rand / 5) * 3
wait
'whaley_map = rand / 3

sound 5,0

REM =====INTRO=====
	REM stub for showing image
	MODE 1
	WAIT
	DEFINE 0,16,title_screen_bitmaps_0
	WAIT
	DEFINE 16,16,title_screen_bitmaps_1
	WAIT
	DEFINE 32,16,title_screen_bitmaps_2
	WAIT
	DEFINE 48,14,title_screen_bitmaps_3
	define alternate 62,2, title_harpoon
	wait
	play full
	play beat_level_music
	SCREEN title_screen_cards
	sprite 01,		132 + visible, 6 + zoomy2, spr63 + spr_grey
	SPRITE 02,		137 + VISIBLE + zoomx2, 12 + zoomy8, SPR62 + spr_orange
	wait

	print at screenpos(1,1) color bg_cyan, "WHALE"
	print at screenpos(4,2) color bg_cyan, "HUNT"
	wait

	gosub cont1wait
'	for y = 1 to 8
'	for x = 1 to 57
title_loop:
		if cont1.key < 12 then goto clear_title
		wait
		goto title_loop
'	next x
'	next y
clear_title:
	play off
	sprite 01, behind
	sprite 02, behind
	cls
	
	wind_direction = (rand/32) + 1
	gosub whale_xy
	gosub kill_quantity
'	gosub health_crate
	
REM ========================GAME START=====================
' 53 bitmaps
load_images:
	gosub hide_sprites
	cls
	map = 0
	if daytime = 0 then screen background_dawn
	if daytime = 1 then screen background
	if daytime = 2 then screen background_dusk
	if daytime = 3 then screen background_storm
load_new_level:
	if level = 11 then
	   level = 10
	   goto tally_score
	end if
	whale_cnt = 29
	hands = 2
	gosub score
	gosub load_row_throw
	gosub whale_movement
	gosub cont1wait	

actionloop:    
	gosub whale_movement                   
	if cont1.key = 11 then goto load_map
	if cont1.key = 0 then goto load_map
	if cont1.key = 10 then goto load_map
	if cont1.key = 9 then if storm_flag = 1 then goto lose_life else sail_dir = 3 : gosub sail 'turn right
	if cont1.key = 8 then if storm_flag = 1 then goto lose_life else sail_dir = 2 : gosub sail 'straight
	if cont1.key = 7 then if storm_flag = 1 then goto lose_life else sail_dir = 1 : gosub sail 'turn left
	if cont1.key = 6 then if hands = 3 then hands = 2 : row = 0 : gosub load_row_throw : goto actionloop else dir_cnt = dir_cnt + 1 : if dir_cnt > 11 then direction = direction + 1 : dir_cnt = 1 : whale_cnt = 29 ': if row = 1 then offset = 240 else offset = 160
	if cont1.key = 6 then row_cnt = row_cnt + 1 : if row_cnt > row_total then gosub player_row : row_cnt = 0	'row turn right
	if cont1.key = 5 then if hands = 3 then hands = 2 : row = 0 : gosub load_row_throw : goto actionloop else row_cnt = row_cnt + 1 : if row_cnt > row_total then gosub player_row : row_cnt = 0	'row straight
	if cont1.key = 4 then if hands = 3 then hands = 2 : row = 0 : gosub load_row_throw : goto actionloop else dir_cnt = dir_cnt - 1 : if dir_cnt < 1 then direction = direction - 1 : dir_cnt = 11 : whale_cnt = 29 ': if row = 1 then offset = 240 else offset = 160
	if cont1.key = 4 then row_cnt = row_cnt + 1 : if row_cnt > row_total then gosub player_row : row_cnt = 0	'row turn left	
	if cont1.key = 1 then if hands = 3 then hands = 1 : gosub hide_sprites : gosub load_row_throw : goto actionloop else arch = 3 : gosub player_throw
	if cont1.key = 2 then if hands = 3 then hands = 1 : gosub hide_sprites : gosub load_row_throw : goto actionloop else arch = 2 : gosub player_throw
	if cont1.key = 3 then if hands = 3 then hands = 1 : gosub hide_sprites : gosub load_row_throw : goto actionloop else arch = 1 : gosub player_throw
	if health = 0 then goto lose_life
	if cont1.b0 then goto sundial
	if cont1.b1 then if wind_flute = 1 then wind_direction = direction : play simple : play flute_song
	if cont1.b2 then if wind_flute = 1 then wind_direction = direction : play simple : play flute_song
	gosub timer
	if timeout_flag = 1 then goto lose_life
	if storm_cnt = storm_cnt_total then 
		x = rand / 10
		if storm_flag = 1 then if x = 3 then goto lose_life
	end if
	gosub wind
	if #score < #new_score then #score = #score + 1 
	if #score >= #next_score then #next_score = #next_score + 100 : if health < 4 then health = health + 1
	gosub score
	wait
goto actionloop



REM =======================SUBROUTINES=============================

timer:	procedure
	#day_cnt = #day_cnt + 1
	'if #day_cnt >= 570 then
	if #day_cnt = 250 then
		daytime_cnt = daytime_cnt + 1
		if daytime_cnt = 3 then if daytime < 3 then daytime = 1
		if daytime_cnt = 12 then if daytime < 3 then daytime = 2
		if daytime_cnt > 14 then timeout_flag = 1 ': goto lose_life
		if map = 0 then 
		if sun_x = 0 then
			draw_y = 1
			draw_x = 0
			if hands = 1 then
				if arch > 0 then offset = 80 else offset = 0
				gosub draw_player
			end if
			if hands = 2 then 
				if row = 1 then offset = 160 else offset = 240
				gosub draw_player
			end if
			if hands = 3 then 
				if sail_dir = 1 then offset = 0 : gosub sail_left
				if sail_dir = 2 then offset = 80 : gosub sail_straight
				if sail_dir = 3 then offset = 160 : gosub sail_right
			end if
			draw_y = 5
			draw_x = 6
		end if
		end if
	#day_cnt = 0 
	end if
	if sun_x = 0 then gosub storm
	end
	


score:	procedure
	if health = 4 then x = fg_blue
	if health = 3 then x = fg_white
	if health = 2 then x = fg_yellow
	if health = 1 then x = fg_red
	print at screenpos(0,0) color x, <2>lives
	print at screenpos(16,0) color x, <4>#score
	if kill_cnt >= kill_qty then x = fg_yellow else x = fg_green
	if kill_qty - kill_cnt >= 0 then print at screenpos(3,0) color x, <2>kill_qty - kill_cnt else print at screenpos(3,0) color x, "00"
	
	if wind_direction = 1 then print at screenpos(13,0) color fg_green, " N"
	if wind_direction = 2 then print at screenpos(13,0) color fg_green, "NE"
	if wind_direction = 3 then print at screenpos(13,0) color fg_green, " E"
	if wind_direction = 4 then print at screenpos(13,0) color fg_green, "SE"
	if wind_direction = 5 then print at screenpos(13,0) color fg_green, " S"
	if wind_direction = 6 then print at screenpos(13,0) color fg_green, "SW"
	if wind_direction = 7 then print at screenpos(13,0) color fg_green, " W"
	if wind_direction = 8 then print at screenpos(13,0) color fg_green, "NW"
	if direction > 8 then direction = 1
	if direction < 1 then direction = 8
	print at screenpos(6,0) color fg_red, "<     >"
	print color cs_tan
	if direction = 1 then print at screenpos(7,0), "\37\13 \13\55" : if wind_direction = direction then print at screenpos(9,0) color fg_green, "\46" else print at screenpos(9,0) color fg_red, "\46"	'north
	if direction = 2 then print at screenpos(7,0), "\13\37 \46\13"	'northeast
	if direction = 3 then print at screenpos(7,0), "\51\13 \13\46" : if wind_direction = direction then print at screenpos(9,0) color fg_green, "\37" else print at screenpos(9,0) color fg_red, "\37"	'east
	if direction = 4 then print at screenpos(7,0), "\13\51 \37\13"	'southeast
	if direction = 5 then print at screenpos(7,0), "\55\13 \13\37" : if wind_direction = direction then print at screenpos(9,0) color fg_green, "\51" else print at screenpos(9,0) color fg_red, "\51" 'south
	if direction = 6 then print at screenpos(7,0), "\13\55 \51\13"	'southwest
	if direction = 7 then print at screenpos(7,0), "\46\13 \13\51" : if wind_direction = direction then print at screenpos(9,0) color fg_green, "\55" else print at screenpos(9,0) color fg_red, "\55" 'west
	if direction = 8 then print at screenpos(7,0), "\13\46 \55\13"	'northwest
	for score_cnt = 2 to 8 step 2
		if direction = score_cnt then if wind_direction = direction then print at screenpos(9,0) color fg_green, "\13" else print at screenpos(9,0) color fg_red, "\13"	'red/green marker for NE, NW, SE, SW
	next score_cnt
	wait
	end
	
cont1wait:	procedure
cont1wait_loop:
	wait
	if cont1.key < 12 then goto cont1wait_loop
	end

cont1pause:		procedure
cont1pause_loop:
	wait
	if cont1.key = 12 then goto cont1pause_loop
	end

load_row_throw:		procedure
	sprite 01, behind
	sprite 02, behind
	sprite 03, behind
	gosub blank_char
	DEFINE 0,16,row_throw_bitmaps_0
	WAIT
	DEFINE 16,16,row_throw_bitmaps_1
	WAIT
	DEFINE 32,16,row_throw_bitmaps_2
	WAIT
	DEFINE 48,5,row_throw_bitmaps_3
'load_row_throw_end:
	define alternate 57,3,blood_1
	wait
	if hands = 2 then define 53,3,paddle_sprites : wait
	gosub player_ready
	end

	
wind:	procedure
	print at 20 color fg_white, <2>wind_direction, " ", <2>wind_roll, " ", <3>wind_cnt
	wait
	if wind_cnt = 0 then wind_roll = rand / 128
	wait
	if wind_roll = 0 then
		wind_roll = 1 
		if wind_direction = 1 then
			if (rand/32) < 3 then wind_direction = (rand/32)
			if wind_direction = 0 then wind_direction = 8
			goto end_wind
		end if
		if wind_direction = 8 then
			if (rand/32) + 1 > 6 then wind_direction = (rand/32) + 1
			if wind_direction > 8 then wind_direction = 1
			goto end_wind
		end if
		if (rand/32) + 1 >= wind_direction - 1 then if (rand/32) + 1 <= wind_direction + 1 then wind_direction = (rand/32) + 1
	end if
end_wind:
	wind_cnt = wind_cnt + 1 
	if wind_cnt = 100 then wind_cnt = 0
	end

player_ready:	procedure
	sprite 01, behind
	sprite 02, behind
	sprite 03, behind
	gosub whale_movement
	if hands = 1 then
		offset = 0
		gosub draw_player
		define 54,2,title_harpoon
		wait
		sprite 01,		138 + visible, 62 + zoomy2, spr55 + spr_grey
		SPRITE 02,		143 + VISIBLE + zoomx2, 68 + zoomy8, spr54 + spr_orange
		goto ready_end
	end if
	if hands = 2 then 
		if row = 1 then offset = 160 else offset = 240
		gosub draw_player
		goto ready_end
	end if
'ready_sail:
			'if daytime = 0 then screen background_dawn,20,20,20,11
			'if daytime = 1 then screen background,20,20,20,11
			'if daytime = 2 then screen background_dusk,20,20,20,11
			'if daytime = 3 then screen background_storm,20,20,20,11
	gosub blank_char
	DEFINE 0,16,sail_bitmaps_0
	WAIT
	DEFINE 16,16,sail_bitmaps_1
	WAIT
	DEFINE 32,16,sail_bitmaps_2
	WAIT
	DEFINE 48,7,sail_bitmaps_3
	define alternate 63,1,harpoon_3
	wait
'ready_sail_end:
	if sail_dir = 1 then offset = 0 : gosub sail_left
	if sail_dir = 2 then offset = 80 : gosub sail_straight
	if sail_dir = 3 then offset = 160 : gosub sail_right
ready_end:
	wait
	end
	
player_throw:	procedure
	if hands <> 1 then hands = 1 : if map = 0 then gosub player_ready
	sprite 01, behind
	sprite 02, behind	
	sprite 03, behind
	offset = 80
	gosub draw_player
	harp1 = 124
	harp2 = harp1 - 8
	harp3 = 47
	define 54,2,harpoon_1
	wait
	for throw_x = harp1 to harp2 step -1
		harp3 = harp3 - 2
REM =====sprites 53 and 54 are intentionally reversed here=====
		sprite 01,		throw_x + visible, harp3, spr54 + spr_grey
		SPRITE 02,		throw_x + 5 + VISIBLE + zoomx2, harp3 + 4 + zoomy4, SPR55 + spr_orange
		gosub whale_movement
	next throw_x
	gosub timer
	sprite 01, behind
	sprite 02, behind
	sprite 03, behind	
	define 54,2,harpoon_2
	wait
	harp1 = throw_x 
	if arch = 3 then harp2 = throw_x - (8*(arch+2)) else harp2 = throw_x - (8*(arch+1))
	for throw_x = harp1 to harp2 step -1
		if throw_x = harp1 - (2*(arch+1)) then harp3 = harp3 - 1
		if throw_x = harp1 - (4*(arch+1)) then harp3 = harp3 - 1
		if throw_x = harp1 - (6*(arch+1)) then harp3 = harp3 - 1
		sprite 01,		throw_x + visible, harp3, spr55 + spr_grey
		SPRITE 02,		throw_x + 8 + VISIBLE, harp3, SPR54 + spr_orange
		sprite 03,		throw_x + 12 + visible, harp3 + 1, spr54 + spr_orange
		wait
		wait
	next throw_x
	gosub timer
	sprite 01, behind
	sprite 02, behind
	sprite 03, behind
	define 54,2,harpoon_3
	wait
	harp1 = throw_x 
	if arch > 1 then harp2 = throw_x - (8*(arch+2)) else harp2 = throw_x - (8*(arch+1))
	for throw_x = harp1 to harp2 step -1
		if throw_x = harp1 - (2*(arch+1)) then harp3 = harp3 + 1
		if throw_x = harp1 - (4*(arch+1)) then harp3 = harp3 + 1
		if throw_x = harp1 - (6*(arch+1)) then harp3 = harp3 + 1
		sprite 01,		throw_x + visible, harp3, spr55 + spr_grey
		SPRITE 02,		throw_x + 7 + VISIBLE, harp3, SPR54 + spr_orange
		sprite 03,		throw_x + 11 + visible, harp3 - 1, spr54 + spr_orange
		wait
		wait
	next throw_x
	gosub timer
	sprite 01, behind
	sprite 02, behind
	sprite 03, behind
	define 54,2,harpoon_4
	wait
	harp1 = throw_x + 2
	harp2 = harp1 - (8*(arch+1))
	harp3 = harp3 + 8
	for throw_x = harp1 to harp2 step -1
'		if throw_x = harp1 - (2*(arch+1)) then harp3 = harp3 + 3
'		if throw_x = harp1 - (4*(arch+1)) then harp3 = harp3 + 3
'		if throw_x = harp1 - (6*(arch+1)) then harp3 = harp3 + 3
		harp3 = harp3 + 2
		sprite 01,		throw_x + visible, harp3, spr55 + spr_grey
		SPRITE 02,		throw_x + VISIBLE, harp3 - 4, SPR54 + spr_orange
		sprite 03,		throw_x + 4 + visible, harp3 - 8, spr54 + spr_orange
		gosub whale_movement
		wait
		gosub whale_movement
		wait
		wait
		if harp3 > 70 then goto drop_harpoon
	next throw_x
	gosub timer
	
drop_harpoon:
	sprite 01, behind
	sprite 02, behind
	sprite 03, behind
	throw_x = throw_x + 2
	harp3 = harp3 + 2
	harp1 = harp3
	define 54,2,harpoon_5
	wait
	for harp3 = harp1 to harp1 + 17
		sprite 01,		throw_x + hit + visible, harp3, spr55 + spr_grey
		SPRITE 02,		throw_x + hit + VISIBLE, harp3 - 4, SPR54 + spr_orange
		sprite 03,		throw_x+1 + hit + visible, harp3 - 8, spr54 + spr_orange
		if col1 and hit_sprite4+hit_sprite6+hit_sprite7 then goto hit_throw
		for cnt = 1 to 3
			wait
		next cnt
	next harp3
	gosub timer
	wait
	play simple
	play spear_miss
	sprite 01, throw_x - 1 + visible, harp3, spr59 + spr_cyan
	SPRITE 02, throw_x + VISIBLE, harp3, SPR54 + spr_orange
	sprite 03, throw_x + 1 + visible, harp3 - 4, spr54 + spr_orange
	goto exit_throw
	
hit_throw:
	play simple
	play spear_hit
	if enemy = 0 then #new_score = #score + 5
	if enemy = 1 then #new_score = #score + 3
	if enemy = 2 then #new_score = #score + 7
	if enemy = 3 then #new_score = #score + 10
	sprite 01, throw_x - 1 + visible, harp3 - 3, spr59 + spr_red
	SPRITE 02, throw_x + VISIBLE, harp3 - 3, SPR54 + spr_orange
	sprite 03, throw_x + 1 + visible, harp3 - 7, spr54 + spr_orange
	hit_cnt = hit_cnt + harpoon
	for cnt = 1 to 10
		wait
	next cnt
	if hit_cnt >= hit_total then 
		sprite 01, behind
		sprite 02, behind
		sprite 03, behind
		gosub enemy_attack
		gosub change_enemy
	end if
exit_throw:
	arch = 0
	if hit_cnt >= hit_total then hit_cnt = 0 : gosub hide_sprites else sprite 01, behind : sprite 02, behind : sprite 03, behind
	if #new_score > #score then if hit_cnt > 0 then gosub enemy_attack
	gosub player_ready
	end

change_enemy:	procedure
	hit_cnt = 0
	if enemy = 0 then #new_score = #score + 30 : kill_cnt = kill_cnt + 1
	if enemy = 1 then #new_score = #score + 25
	if enemy = 2 then #new_score = #score + 35
	if enemy = 3 then #new_score = #score + 40
	gosub hide_sprites
	gosub whale_xy
	gosub whale_movement
	wait
	enemy = (rand / 64)
	if enemy >= 2 then wait : enemy = (rand / 64) else enemy = 0
	if enemy = 0 then hit_total = 3
	if enemy = 1 then hit_total = 3
	if enemy = 2 then hit_total = 2
	if enemy = 3 then hit_total = 4
	end
	
	
player_row:		procedure
	if hands <> 2 then 
		hands = 2
		if map = 0 then 
			offset = 160
			gosub draw_player 
			row = 1
		end if
	end if

	if map = 0 then 
	if row = 1 then 
		offset = 160 
		gosub draw_player
		row = 0 
	else 
		offset = 240 
		gosub draw_player 
		row = 1
	end if
	end if
	gosub whale_pos_calc
	if whalex_map > player_x - 9 then if whalex_map < player_x + 8 then if whaley_map > player_y - 5 then if whaley_map < player_y + 5 then goto check_row_position else goto check_row_end
	goto check_row_end
check_row_position:
	if whale_position = direction then goto player_row_end
	if whale_up = direction then goto player_row_end
	if whale_down = direction then goto player_row_end
check_row_end:
	if direction = 1 then if row_cnt > row_total then player_y = player_y - paddle								'north
	if direction = 2 then if row_cnt > row_total then player_y = player_y - paddle : player_x = player_x + paddle		'northeast
	if direction = 3 then if row_cnt > row_total then player_x = player_x + paddle								'east
	if direction = 4 then if row_cnt > row_total then player_y = player_y + paddle : player_x = player_x + paddle		'southeast
	if direction = 5 then if row_cnt > row_total then player_y = player_y + paddle								'south
	if direction = 6 then if row_cnt > row_total then player_y = player_y + paddle : player_x = player_x - paddle		'southwest
	if direction = 7 then if row_cnt > row_total then player_x = player_x - paddle								'west
	if direction = 8 then if row_cnt > row_total then player_y = player_y - paddle : player_x = player_x - paddle		'northwest
	gosub dim_check
	gosub score
'check_health:
'	print at 20, <3>player_x, " ", <3>player_y , " ", <3>crate_x, " ", <1>health
'	if player_y >= 70 then if player_y <= 73 then if player_x > crate_x - 5 then if player_x < crate_x + 9 then goto use_health
'	goto player_row_end
'use_health:
'		'play simple
'		'play health_sound
'		if health < 5 then health = health + 1
'		gosub health_crate
player_row_end:
	if storm_flag = 0 then row_total = row_speed
	end	
		
draw_player:		procedure
	for y = draw_y TO 11
	for x = draw_x TO 19
		if hands = 3 then
			PRINT AT y * 20 + x,sail_cards(y * 240 + x + (20*daytime) + offset)
		else
			PRINT AT y * 20 + x,row_throw_cards(y * 320 + x + (20*daytime) + offset)
		end if
	next x
	next y
	if map = 0 then
	if hands < 3 then
	if offset = 160 then
		define 53,3,paddle_sprites
		wait
		sprite 01, 56 + visible, 80 + zoomy2, spr53 + spr_darkgreen
		sprite 02, 64 + visible, 80 + zoomy2, spr54 + spr_darkgreen
		sprite 03, 72 + visible, 80 + zoomy2, spr55 + spr_darkgreen
	end if
	if offset = 240 then 
		sprite 01, behind 
		sprite 02, behind 
		sprite 03, behind
	end if
	end if
	end if
	end


sail:	procedure
	play off
	if map = 0 then if hands <> 3 then hands = 3 : sprite 01, behind : sprite 02, behind : sprite 03, behind : gosub player_ready
	if map = 1 then hands = 3
	gosub wind
	if direction = wind_direction then wind_bonus = 2 else wind_bonus = 0
	if cont1.key = 9 then if map = 0 then offset = 160 : gosub sail_right 
	if cont1.key = 9 then wind_offset = wind_direction + 1 : if wind_offset > 8 then wind_offset = 1
	if cont1.key = 7 then if map = 0 then offset = 0 : gosub sail_left
	if cont1.key = 7 then wind_offset = wind_direction - 1 : if wind_offset < 1 then wind_offset = 8
	if cont1.key = 8 then if map = 0 then offset = 80 : gosub sail_straight
	if cont1.key = 8 then wind_offset = wind_direction
'sail_map:
'	if whalex_map > player_x - 5 then if whaley_map < player_y + 5 then if whalex_map < player_x + 5 then if whaley_map > player_y - 5 then if whale_position = direction then goto sail_end
'	if whalex_map > player_x - 5 then if whaley_map < player_y + 5 then if whalex_map < player_x + 5 then if whaley_map > player_y - 5 then if whale_up = direction then goto sail_end
'	if whalex_map > player_x - 5 then if whaley_map < player_y + 5 then if whalex_map < player_x + 5 then if whaley_map > player_y - 5 then if whale_down = direction then goto sail_end
	gosub whale_pos_calc
		if whalex_map > player_x - 9 then if whalex_map < player_x + 8 then if whaley_map > player_y - 5 then if whaley_map < player_y + 5 then goto check_sail_end
'check_sail_position:
	if wind_offset = 1 then player_y = player_y - wind_bonus								'north
	if wind_offset = 2 then player_y = player_y - wind_bonus : player_x = player_x + wind_bonus		'northeast
	if wind_offset = 3 then player_x = player_x + wind_bonus								'east
	if wind_offset = 4 then player_y = player_y + wind_bonus : player_x = player_x + wind_bonus		'southeast
	if wind_offset = 5 then player_y = player_y + wind_bonus								'south
	if wind_offset = 6 then player_y = player_y + wind_bonus : player_x = player_x - wind_bonus		'southwest
	if wind_offset = 7 then player_x = player_x - wind_bonus								'west
	if wind_offset = 8 then player_y = player_y - wind_bonus : player_x = player_x - wind_bonus		'northwest
	gosub dim_check
	check_sail_end:
	gosub whale_movement
	gosub score
	wait
	wait
	end

sail_left:		procedure
	'gosub draw_player
	sprite 01, 120 + visible, 51 + zoomy4, spr63 + spr_darkgreen
	sprite 02, 80 + visible, 81 + zoomy4, spr63 + spr_darkgreen
	sprite 03, behind
	gosub draw_player
	end
sail_straight:		procedure
	'gosub draw_player
	sprite 01, 120 + zoomx2 + visible, 51 + zoomy4, spr63 + spr_darkgreen
	sprite 02, 88 + visible, 73 + zoomy4, spr63 + spr_darkgreen
	sprite 03, 152 + visible, 73 + zoomy4, spr63 + spr_darkgreen
	gosub draw_player
	end
sail_right:		procedure
	'gosub draw_player
	sprite 01, 128 + zoomx2 + visible, 51 + zoomy4, spr63 + spr_darkgreen
	sprite 02, 96 + visible, 65 + zoomy4, spr63 + spr_darkgreen
	sprite 03, 151 + zoomx2 + visible, 63 + zoomy4, spr63 + spr_darkgreen
	gosub draw_player
	end

whale_xy:	procedure
whale_xy_loop:
	wait
	whalex_map = (rand / 5) * 3
	wait
	whaley_map = rand / 3
	gosub dim_check
	if whalex_map > player_x - 6 then if whalex_map < player_x + 6 then if whaley_map > player_y - 6 then if whaley_map < player_y + 6 then goto whale_xy_loop
	for cnt = 1 to storm_qty
		if whalex_map > stormx_map(cnt) - 1 then if whalex_map < stormx_map(cnt) + 1 then if whaley_map > stormy_map(cnt) - 1 then if whaley_map < stormy_map(cnt) + 1 then goto whale_xy_loop
	next cnt
	end
	
whale_movement:		procedure
whale_cnt = whale_cnt + 1
if whale_cnt < 30 then goto whale_move_end
if whale_cnt > 30 then whale_cnt = 0 : goto whale_move_end
gosub whale_pos_calc
if storm_flag = 1 then goto whale_move_map
if map = 1 then goto whale_move_map
if whale_position <> direction then goto whale_move_map
whalex = dir_cnt * 4
move_dir = rand / 64
if move_dir = 0 then whalex = whalex - 5
if move_dir = 2 then whalex = whalex + 5
if whalex > 44 then whalex = 44
if whalex > 245 then whalex = 1
'if whalex > 44 then whalex = 1 : direction = direction + 1 : if direction > 8 then direction = 1 : whalex_map = whalex_map + 16 : gosub whale_pos_calc
'if whalex > 245 then whalex = 38 : direction = direction - 1 : if direction < 1 then direction = 8 : whalex_map = whalex_map - 16 : gosub whale_pos_calc

if map = 0 then goto enemy_images
goto whale_move_map

enemy_images:
if whalex_map > player_x - 10 then if whaley_map < player_y + 10 then if whalex_map < player_x + 10 then if whaley_map > player_y - 10 then gosub draw_enemy_big : goto whale_move_map
if whalex_map > player_x - 20 then if whaley_map < player_y + 20 then if whalex_map < player_x + 20 then if whaley_map > player_y - 20 then goto draw_enemy_med
if whalex_map > player_x - 30 then if whaley_map < player_y + 30 then if whalex_map < player_x + 30 then if whaley_map > player_y - 30 then goto draw_enemy_small
goto whale_move_map

draw_enemy_small:
	if enemy = 0 then goto draw_whale_small
	if enemy = 1 then goto draw_serpant_small
	if enemy = 2 then goto draw_squid_small
	if enemy = 3 then goto draw_crab_small
	
	
draw_whale_small:
	sprite 00,behind
	define 60,2,small_whale
	wait
	sprite 05, whalex + visible, whaley + 3, spr60 + spr_white
	sprite 06, whalex + 8 + visible, whaley + 3, spr61 + spr_white
	sprite 07, behind
	goto whale_move_map
	
draw_serpant_small:	
	sprite 00,behind
	sprite 06, behind
	sprite 07, behind
	define 60,1,small_serpant
	wait
	sprite 05, whalex + visible + zoomx2, whaley + 3, spr60 + spr_green
	goto whale_move_map
	
draw_squid_small:
	sprite 00,behind
	sprite 06, behind
	sprite 07, behind
	define 60,1,squid_map
	wait
	sprite 05, whalex + visible, whaley + 3, spr60 + spr_purple
	goto whale_move_map
	
draw_crab_small:
	sprite 00,behind
	sprite 07, behind
	define 60,2,small_crab
	wait
	sprite 05, whalex + visible, whaley + 4, spr61 + spr_red
	sprite 06, whalex + visible, whaley + 3, spr60 + spr_white
	goto whale_move_map
	
draw_enemy_med:
	if enemy = 0 then goto draw_whale_med
	if enemy = 1 then goto draw_serpant_med
	if enemy = 2 then goto draw_squid_med
	if enemy = 3 then goto draw_crab_med
	
draw_whale_med:	
	sprite 00,behind
	sprite 04, behind
	define 60,2,med_whale
	wait
	sprite 05, whalex + visible, whaley + 3, spr60 + spr_white
	sprite 06, whalex + 8 + visible, whaley + 3, spr61 + spr_white
	sprite 07, whalex + 16 + visible, whaley + 3 + flipx, spr61 + spr_white
	goto whale_move_map

draw_serpant_med:		
	sprite 00,behind
	sprite 04, behind
	define 60,3,med_serpant
	wait
	sprite 06, whalex + visible, whaley - 1 + zoomy2, spr60 + spr_green
	sprite 07, whalex + 8 + visible, whaley - 1 + zoomy2, spr61 + spr_green
	sprite 05, whalex + 8 + visible, whaley + 1, spr62 + spr_white
	goto whale_move_map
	
draw_squid_med:		
	sprite 00,behind
	sprite 04, behind
	define 60,2,med_squid
	wait
	sprite 05, whalex + 8 + visible, whaley - 1 + zoomy2, spr60 + spr_purple
	sprite 06, whalex + 1 + visible, whaley + 3, spr61 + spr_purple
	sprite 07, whalex + 15 + visible, whaley + 3 + flipx, spr61 + spr_purple
	goto whale_move_map
	
draw_crab_med:		
	sprite 00, behind
	sprite 04, behind
	define 60,3,med_crab
	wait
	sprite 05, whalex + visible, whaley - 1 + zoomy2, spr60 + spr_white
	sprite 07, whalex + 8 + visible, whaley + zoomy2, spr61 + spr_white
	sprite 06, whalex + 8 + visible, whaley + 1 + zoomy2, spr62 + spr_red
	'goto whale_move_map
	
	
whale_move_map:
	wait
	whale_dir = (rand / 32) + 1
	if whalex_map > player_x - 5 then if whaley_map < player_y + 5 then if whalex_map < player_x + 5 then if whaley_map > player_y - 5 then goto whale_move_end
	if whale_dir = 1 then whaley_map = whaley_map - 1									'north
	if whale_dir = 2 then whalex_map = whalex_map + 1 : whaley_map = whaley_map - 1		'northeast
	if whale_dir = 3 then whalex_map = whalex_map + 1									'east
	if whale_dir = 4 then whalex_map = whalex_map + 1 : whaley_map = whaley_map + 1		'southeast
	if whale_dir = 5 then whaley_map = whaley_map + 1									'south
	if whale_dir = 6 then whalex_map = whalex_map - 1 : whaley_map = whaley_map + 1		'southwest
	if whale_dir = 7 then whalex_map = whalex_map - 1									'west
	if whale_dir = 8 then whalex_map = whalex_map - 1 : whaley_map = whaley_map - 1		'northwest
	gosub dim_check
whale_move_end:
	wait
	end
	
whale_pos_calc:		procedure
REM =====1-north=====2-northeast=====3-east=====4-southeast=====5-south=====6-southwest=====7-west=====8-northwest=====
	whale_position  = 0
'north
	if whalex_map > player_x - 7 then if whalex_map < player_x + 6 then if whaley_map < player_y then whale_position = 1 : whale_up = 2 : whale_down = 8 
'south	
	if whale_position = 0 then if whalex_map > player_x - 7 then if whalex_map < player_x + 6 then if whaley_map > player_y then whale_position = 5 : whale_up = 6 : whale_down = 4
'east	
	if whale_position = 0 then if whaley_map > player_y - 3 then if whaley_map < player_y + 3 then if whalex_map > player_x then whale_position = 3 : whale_up = 4 : whale_down = 2
'west
	if whale_position = 0 then if whaley_map > player_y - 3 then if whaley_map < player_y + 3 then if whalex_map < player_x then whale_position = 7 : whale_up = 8 : whale_down = 6 
'northwest
	if whale_position = 0 then if whalex_map <= player_x - 7 then if whaley_map <= player_y - 3 then whale_position = 8 : whale_up = 1 : whale_down = 7
'northeast
	if whale_position = 0 then if whalex_map >= player_x + 6 then if whaley_map <= player_y - 3 then whale_position = 2 : whale_up = 3 : whale_down = 1
'southwest
	if whale_position = 0 then if whalex_map <= player_x - 7 then if whaley_map >= player_y + 3 then whale_position = 6 : whale_up = 7 : whale_down = 5
'southeast
	if whale_position = 0 then if whalex_map >= player_x + 6 then if whaley_map >= player_y + 3 then whale_position = 4 : whale_up = 5 : whale_down = 3

	if whale_position <> direction then if map = 0 then sprite 00, behind : sprite 04, behind : sprite 05, behind : sprite 06, behind : sprite 07, behind

	end
	
load_map:	
	gosub hide_sprites
	cls
	DEFINE 0,16,map_bitmaps_0
	WAIT
	DEFINE 16,4,map_bitmaps_1
	define alternate 20,9,buildings
	wait
	define 36,11,map_sprites
	wait
	SCREEN map_cards
	sprite 05, 24 + hit + visible, 80 + zoomy2, spr41 + spr_orange	'left dock
	sprite 06, 77 + hit + visible, 80 + zoomy2, spr41 + spr_orange	'middle dock
	sprite 07, 147 + hit + visible, 79 + zoomy2, spr41 + spr_orange	'right dock
'	print at 160 + crate_map color bg_blue, "\010"
	gosub cont1wait
map_loop:	
	map = 1
	gosub whale_movement
	gosub wind
	if #score < #new_score then #score = #score + 1
	if #score >= #next_score then #next_score = #next_score + 100 : if health < 4 then health = health + 1
	gosub score
	if direction < 5 then #char_dir = flipx : x = 1 else #char_dir = 0 : x = 0
	sprite 00, player_x + x + visible, player_y + #char_dir, spr38 + cs_red	'player
	sprite 01, player_x + x + visible, player_y + #char_dir, spr39 + cs_white
	sprite 02, player_x + x + hit + visible, player_y + #char_dir, spr40 + cs_orange	'player
	if whale_dir > 5 then #enemy_dir = flipx else #enemy_dir = 0
	if enemy = 0 then sprite 03, whalex_map + visible, whaley_map + #enemy_dir, spr36 + cs_white	'whale	
	if enemy = 0 then sprite 04, whalex_map + visible, whaley_map - 1 + #enemy_dir, spr37 + cs_cyan
	if enemy = 1 then sprite 03, whalex_map + visible, whaley_map + #enemy_dir, spr43 + cs_white	'serpant
	if enemy = 1 then sprite 04, whalex_map + visible, whaley_map + #enemy_dir, spr42 + cs_green
	if enemy = 2 then sprite 03, whalex_map + visible, whaley_map, spr44 + spr_purple	'squid
	if enemy = 3 then sprite 04, whalex_map + visible, whaley_map + #enemy_dir, spr45 + cs_white	    'crab	
	if enemy = 3 then sprite 03, whalex_map + visible, whaley_map + #enemy_dir, spr46 + cs_red	
	wait
	gosub draw_towns
	if col2 and hit_sprite5 then gosub town1_check : if town_check = 1 then player_x = 24 : player_y = 75 : town_check = 0 : goto load_new_level
	if col2 and hit_sprite6 then gosub town2_check : if town_check = 1 then player_x = 77 : player_y = 75 : town_check = 0 : goto load_new_level
	if col2 and hit_sprite7 then gosub town3_check : if town_check = 1 then player_x = 147 : player_y = 74 : town_check = 0 : goto load_new_level
	if cont1.key = 0 then goto exit_map
	if cont1.key = 10 then goto exit_map
	if cont1.key = 11 then goto exit_map
	if cont1.key = 9 then if storm_flag = 1 then goto lose_life else gosub sail 'turn right
	if cont1.key = 8 then if storm_flag = 1 then goto lose_life else gosub sail 'straight
	if cont1.key = 7 then if storm_flag = 1 then goto lose_life else gosub sail 'turn left
	if cont1.key = 6 then row_cnt = row_cnt + 1 : if row_cnt > row_total then gosub player_row : row_cnt = 0'row turn right
	if cont1.key = 5 then row_cnt = row_cnt + 1 : if row_cnt > row_total then gosub player_row : row_cnt = 0'row straight
	if cont1.key = 4 then row_cnt = row_cnt + 1 : if row_cnt > row_total then gosub player_row : row_cnt = 0'row turn left	
	if cont1.key = 6 then dir_cnt = dir_cnt + 1 : if dir_cnt > 11 then direction = direction + 1 : dir_cnt = 1 : whale_cnt = 29
	if cont1.key = 4 then dir_cnt = dir_cnt - 1 : if dir_cnt < 1 then direction = direction - 1 : dir_cnt = 11 : whale_cnt = 29
	if cont1.b0 then goto sundial
	if cont1.b1 then if wind_flute = 1 then wind_direction = direction : play simple : play flute_song
	if cont1.b2 then if wind_flute = 1 then wind_direction = direction : play simple : play flute_song
	gosub timer
	if timeout_flag = 1 then goto lose_life
	if storm_cnt = storm_cnt_total then 
		x = rand / 10
		if storm_flag = 1 then if x = 3 then goto lose_life
	end if
	goto map_loop
exit_map:
	goto load_images
	
	
draw_towns:		procedure
	if town1_cnt >= 1 then print at screenpos(2,10) color cs_green, "\277"
	if town1_cnt = 2 then print at screenpos(1,10) color cs_green, "\276"

	if town2_cnt >= 1 then print at screenpos(9,10) color cs_green, "\280"	
	if town2_cnt >= 2 then print at screenpos(8,10) color cs_green, "\279"
	if town2_cnt >= 3 then print at screenpos(7,10) color cs_green, "\278"
	if town2_cnt >= 4 then print at screenpos(10,10) color cs_green, "\281"

	if town3_cnt >= 2 then print at screenpos(17,10) color cs_green, "\283"
	if town3_cnt >= 1 then print at screenpos(16,10) color cs_green, "\282"
	if town3_cnt = 3 then print at screenpos(18,10) color cs_green, "\284"
	end

town1_check:	procedure
	if kill_cnt < kill_qty then goto town1_end
	kill_cnt = 0
	gosub beat_level
	town_check = 1
	if town1_cnt = 2 then goto town1_end
	town1_cnt = town1_cnt + 1
	if town1_cnt = 2 then row_total = 2 : row_speed = 2 : cls : gosub pad_upgrade
town1_end:
	if town_check = 1 then gosub win_check
	end
	
town2_check:	procedure
	if kill_cnt < kill_qty then goto town2_end
	kill_cnt = 0
	gosub beat_level
	town_check = 1
	if town2_cnt = 4 then goto town2_end
	town2_cnt = town2_cnt + 1
	if town2_cnt = 2 then harpoon = 2 : cls : gosub harpoon_upgrade
	if town2_cnt = 4 then harpoon = 3 : cls : gosub harpoon_upgrade
town2_end:
	if town_check = 1 then gosub win_check
	end
	
town3_check:	procedure
	if kill_cnt < kill_qty then goto town3_end
	kill_cnt = 0
	gosub beat_level
	if town3_cnt < 3 then town3_cnt = town3_cnt + 1
	if wind_flute = 0 then 
		if 7 <= town1_cnt + town2_cnt + town3_cnt then 
			wind_flute = 1 
			gosub flute_upgrade
		else
			gosub come_back
			gosub upgrade_end
		end if
	end if
	'gosub cont1wait
	town_check = 1
town3_end:
	if town_check = 1 then gosub win_check
	end

come_back:		procedure
	gosub hide_sprites
	cls
	gosub transition_in
	print at 81 color bg_cyan, "RETURN WHEN SEVEN"
	print at 102, "TOWNS ARE BUILT"
	end

win_check:	procedure
	if level = 10 then level = level + 1 : goto win_check_end
'	for cnt = 1 to 30
'		wait
'	next cnt
'	win_check_end:
	'gosub upgrade_end
	gosub new_level_stats
	gosub kill_quantity
	gosub transition_out
win_check_end:
 	end
	
hide_sprites:	procedure
	sprite 00, behind
	sprite 01, behind
	sprite 02, behind
	sprite 03, behind
	sprite 04, behind
	sprite 05, behind
	sprite 06, behind
	sprite 07, behind
	wait
	end


REM =============================SUNDIAL CODE========================================

asm org $4820
	
kill_quantity:		procedure
	gosub hide_sprites
	cls
	gosub score	
	define 57,3,blood_1
	wait
	define 60,2,big_whale 
	define alternate 62,1,whale_face_dead 
	wait
	sprite 05, 47 + visible, 55 + zoomy2, spr60 + spr_white
	sprite 06, 55 + visible + zoomx2, 55 + zoomy2, spr61 + spr_white
	sprite 07, 71 + visible, 55 + zoomy2 + flipx, spr61 + spr_white
	sprite 04, 72 + visible, 58, spr62 + spr_black
	sprite 00, 65 + visible, 53, spr58 + spr_red
	sprite 03, 73, 46, spr54 + spr_orange
	print at 66 color fg_yellow, "LEVEL ", <2>level
	print at 130 color fg_green, "X"
	print at 132, <2>kill_qty
	gosub upgrade_end
	gosub hide_sprites
	end

sundial:
	'z = map
	'map = 1
	gosub hide_sprites
	cls
	wait
	DEFINE 0,16,sundial_bitmaps_0
	WAIT
	DEFINE 16,16,sundial_bitmaps_1
	WAIT
	DEFINE 32,16,sundial_bitmaps_2
	WAIT
	DEFINE 48,4,sundial_bitmaps_3
	define alternate 57,1,sundial_sprites
	WAIT
	define 58,1,shadow_1
	define alternate 59,1,shadow_2
	wait
	define 60,1,shadow_3
	define alternate 61,1,shadow_4	
	gosub cont1wait
	if daytime = 0 then screen sundial_dawn_cards
	if daytime = 1 then screen sundial_cards
	if daytime = 2 then screen sundial_dusk_cards
	if daytime = 3 then screen sundial_storm_cards
	
sundial_loop:
	if daytime = 3 then sun_x = 1 : goto sundial_skip
	if daytime_cnt = 0 then	sun_x = 20 : sprite 04, 91 + visible + zoomx2, 53 + zoomy2 + flipx + flipy, spr61 + spr_red			'5am
	if daytime_cnt = 1 then	sun_x = 28 : sprite 04, 89 + visible + zoomx2, 58 + zoomy2 + flipx + flipy, spr61 + spr_red			'6am
	if daytime_cnt = 2 then	sun_x = 36 : sprite 04, 88 + visible + zoomx2, 64 + zoomy2 + flipx, spr60 + spr_red	'7am
	if daytime_cnt = 3 then	
		daytime = 1
		gosub sundial_sky
		sun_x = 44
		sprite 04, 86 + visible + zoomx2, 68 + zoomy2 + flipx, spr60 + spr_red	'8
	end if
	if daytime_cnt = 4 then	sun_x = 52 : sprite 04, 90 + visible, 73 + zoomy2 + flipx, spr60 + spr_red	'9
	if daytime_cnt = 5 then	sun_x = 60 : sprite 04, 86 + visible, 78 + zoomy2 + flipx, spr59 + spr_red	'10
	if daytime_cnt = 6 then	sun_x = 68 : sprite 04, 85 + visible, 80 + zoomy2 + flipx, spr58 + spr_red	'11
	if daytime_cnt = 7 then	sun_x = 76 : sprite 04, 79 + visible, 82 + zoomy2 + flipx, spr58 + spr_red	'12
	if daytime_cnt = 8 then	sun_x = 84 : sprite 04, 76 + visible, 80 + zoomy2, spr58 + spr_red			'1
	if daytime_cnt = 9 then	sun_x = 92 : sprite 04, 74 + visible, 78 + zoomy2, spr59 + spr_red			'2
	if daytime_cnt = 10 then sun_x = 100 : sprite 04, 70 + visible, 73 + zoomy2, spr60 + spr_red			'3
	if daytime_cnt = 11 then sun_x = 108 : sprite 04, 64 + visible + zoomx2, 68 + zoomy2, spr60 + spr_red			'4
	if daytime_cnt = 12 then 
		daytime = 2 
		gosub sundial_sky 
		sun_x = 116 
		sprite 04, 62 + visible + zoomx2, 64 + zoomy2, spr60 + spr_red			'5pm
	end if
	if daytime_cnt = 13 then sun_x = 124 : sprite 04, 62 + visible + zoomx2, 58 + zoomy2 + flipy, spr61 + spr_red	'6pm
	if daytime_cnt = 14 then sun_x = 132 : sprite 04, 61 + visible + zoomx2, 53 + zoomy2 + flipy, spr61 + spr_red	'7pm
	sprite 00, sun_x + visible, 8 + zoomy2, spr57 + spr_yellow
	sprite 01, sun_x + 8 + visible, 8 + zoomy2 + flipx, spr57 + spr_yellow
	sprite 02, sun_x + visible, 16 + zoomy2 + flipy, spr57 + spr_yellow
	sprite 03, sun_x + 8 + visible, 16 + zoomy2 + mirror, spr57 + spr_yellow
sundial_skip:
	for cnt = 1 to 60
		wait
		gosub timer
		if #day_cnt = 0 then goto sundial_loop
		if cont1.button then goto sundial_end
		if cont1.key < 12 then goto sundial_end
	next cnt
	GOTO sundial_loop
	
sundial_end:
	if cont1.key < 12 then goto sundial_end
	sun_x = 0
	if map = 0 then goto load_images
	if map = 1 then goto load_map


	
sundial_sky:		procedure
		FOR y = 0 TO 1
		FOR x = 0 TO 19
			if daytime = 0 then PRINT AT y * 20 + x,sundial_dawn_cards(y * 20 + x)
			if daytime = 1 then PRINT AT y * 20 + x,sundial_cards(y * 20 + x)
			if daytime = 2 then PRINT AT y * 20 + x,sundial_dusk_cards(y * 20 + x)
		NEXT x
		NEXT y
	'sky_end:
		wait
		end
		
storm_dim_check:	procedure
	if player_x > (stormx_map(cnt)*8) then if player_x < (stormx_map(cnt)*8) + 15 then if player_y > (stormy_map(cnt)*8) + 3 then if player_y < (stormy_map(cnt)*8) + 16 then storm_flag = 1		
	end
	
storm:		procedure
	storm_flag = 0
	for cnt = 1 to storm_qty
		if stormx_map(cnt) > 0 then 
			if map = 1 then print at screenpos(stormx_map(cnt), stormy_map(cnt)) color bg_blue, "@" 
			if daytime < 3 then 
				if player_x > (stormx_map(cnt)*8) then if player_x < (stormx_map(cnt)*8) + 15 then if player_y > (stormy_map(cnt)*8) + 3 then if player_y < (stormy_map(cnt)*8) + 16 then gosub in_storm
			end if
			if daytime = 3 then
				gosub storm_dim_check
				'if player_x > (stormx_map(cnt)*8) then if player_x < (stormx_map(cnt)*8) + 15 then if player_y > (stormy_map(cnt)*8) + 3 then if player_y < (stormy_map(cnt)*8) + 16 then storm_flag = 1
			end if
		end if
		if storm_cnt = storm_cnt_total then
		if stormx_map(cnt) = 0 then
			wait
			x = (rand/storm_roll) + 1
			if x = 1 then	
storm_reroll:
				wait
				stormx_map(cnt) = (rand/16) + 2
				wait
				stormy_map(cnt) = (rand/48) + 2	
				if player_x > (stormx_map(cnt)*8) then if player_x < (stormx_map(cnt)*8) + 15 then if player_y > (stormy_map(cnt)*8) + 3 then if player_y < (stormy_map(cnt)*8) + 16 then goto storm_reroll
				if whalex_map > (stormx_map(cnt)*8) then if whalex_map < (stormx_map(cnt)*8) + 15 then if whaley_map > (stormy_map(cnt)*8) + 3 then if whaley_map < (stormy_map(cnt)*8) + 16 then goto storm_reroll
			end if
		else
			if x = 1 then 
				if map = 1 then print at stormy_map(cnt) * 20 + stormx_map(cnt), map_cards(stormy_map(cnt) * 20 + stormx_map(cnt))
				stormx_map(cnt) = 0
			if player_x > (stormx_map(cnt)*8) then if player_x < (stormx_map(cnt)*8) + 15 then if player_y > (stormy_map(cnt)*8) + 3 then if player_y < (stormy_map(cnt)*8) + 16 then gosub out_storm
			end if				
		end if
		end if	
	next cnt
	storm_cnt = storm_cnt + 1
	if storm_cnt > storm_cnt_total then storm_cnt = 1
	if storm_flag = 0 then if daytime = 3 then gosub out_storm
	if storm_flag = 1 then
	wait
	if map = 0 then
		for cnt = 1 to 2
			if storm_cnt = 30 then gosub lightning
			if storm_cnt = 1 then gosub lightning
		next cnt
	end if
	end if
	end

in_storm:	procedure
	if hands = 3 then goto lose_life
	daytime = 3
	if map = 1 then gosub tornado
	if map = 0 then 
		screen background_storm,20,20,20,11
		gosub draw_player
		gosub lightning
	end if
	player_x = stormx_map(cnt)*8 + 8
	player_y = stormy_map(cnt)*8 + 9
	if storm_flag = 0 then 
		row_total = row_speed * 4
'		row_speed = row_total
	end if
	storm_flag = 1
	end

out_storm:		procedure
	if map = 0 then
		sprite 04, behind
		sprite 05, behind
		sprite 06, behind
		sprite 07, behind
	end if
	if map = 1 then print at stormy_map(cnt) * 20 + stormx_map(cnt), map_cards(stormy_map(cnt) * 20 + stormx_map(cnt))	
	if daytime_cnt > 2 then daytime = 1 else daytime = 0
	if daytime_cnt > 11 then daytime = 2
	if map = 0 then
		if daytime = 0 then screen background_dawn,20,20,20,11
		if daytime = 1 then screen background,20,20,20,11
		if daytime = 2 then screen background_dusk,20,20,20,11
		gosub draw_player
	end if 
	row_total = row_speed
	storm_flag = 0
	end
	
draw_player_map_sprites:	procedure
	sprite 00, player_x + visible, player_y + #char_dir, spr38 + cs_red	'player
	sprite 01, player_x + visible, player_y + #char_dir, spr39 + cs_white
	sprite 02, player_x + hit + visible, player_y + #char_dir, spr40 + cs_orange	'player
	wait
	end
	
tornado:		procedure
if storm_flag = 0 then
	player_x = stormx_map(cnt)*8 + 11
	player_y = stormy_map(cnt)*8 + 11
	gosub draw_player_map_sprites
	for x = 1 to 7
		player_x = player_x - 1
		gosub draw_player_map_sprites
	next x
	for y = 1 to 5
		player_y = player_y - 1
		gosub draw_player_map_sprites
	next y
	for x = 1 to 7
		player_x = player_x + 1
		gosub draw_player_map_sprites
	next x
	for y = 1 to 3
		player_y = player_y + 1
		gosub draw_player_map_sprites
	next y
	for x = 1 to 3
		player_x = player_x - 1
		gosub draw_player_map_sprites
	next x
end if	
end
	
	

REM ===============================BEAT LEVEL========================================
asm org $0500
lose_life:
	gosub hide_sprites
	cls
	gosub storm_dim_check
	if storm_flag = 1 then
		for cnt = 1 to 2
			gosub lightning
			for x = 1 to 10
				wait
			next x
			storm_cnt = 30
			gosub lightning
			for x = 1 to 10
				wait
			next x
			storm_cnt = 0
		next cnt
		for cnt = 1 to 4
			mode 0,6,6,6,6
			for x = 1 to 5
				wait
			next x
			mode 1
			for x = 1 to 5
				wait
			next x
		next cnt
	end if
	gosub transition_in
	DEFINE 0,16,lose_life_bitmaps_0
	WAIT
	DEFINE 16,16,lose_life_bitmaps_1
	WAIT
	DEFINE 32,16,lose_life_bitmaps_2
	WAIT
	DEFINE 48,6,lose_life_bitmaps_3
	define alternate 56,5,lose_life_sprites
	wait
	define 55,1,harpoon_4
	define alternate 62,2,title_harpoon
	wait
	play simple
	play game_over_song
	SCREEN lose_life_cards
	wait
	lives = lives - 1
	if lives > 0 then
		print at 42 color bg_cyan, "YOU LOST A LIFE!"
	else
		print at 45 color bg_cyan, "GAME OVER!"
	end if
	sprite 00, 28 + visible, 75, spr56 + spr_black
	sprite 01, 28 + visible, 75, spr57 + spr_white
	sprite 07, 22 + visible + zoomx2, 73 + zoomy4, spr55 + spr_darkgreen
	
	sprite 02, 13 + visible, 83 + zoomy2, spr58 + spr_orange
	sprite 03, 64 + visible, 80 + zoomy2, spr59 + spr_cyan
	sprite 04, 64 + visible, 72 + zoomy2, spr60 + spr_black
	sprite 05, 118 + visible, 80 + zoomy2 + mirror, spr63 + spr_grey
	sprite 06, 105 + visible + zoomx2, 49 + zoomy8 + mirror, spr62 + spr_orange
	gosub upgrade_end
	play off
	if lives > 0 then 
		gosub new_level_stats
		gosub kill_quantity
		player_x = 77
		player_y = 75
		hit_cnt = 0
		timeout_flag = 0
		goto load_images
	end if
	goto tally_score
	
beat_level:		procedure
	gosub hide_sprites
	cls
	gosub transition_in
	
	DEFINE 0,16,beat_level_bitmaps_0
	WAIT
	DEFINE 16,16,beat_level_bitmaps_1
	WAIT
	DEFINE 32,16,beat_level_bitmaps_2
	WAIT
	DEFINE 48,13,beat_level_bitmaps_3
	define alternate 61,1,beat_level_sprites
	WAIT
	define 62,1,blood_2
	define alternate 63,1,beat_level_harpoon
	wait
	play full
	play beat_level_music
	SCREEN beat_level_cards
	
	sprite 00, 80 + visible, 70 + zoomy2, spr61 + spr_black
	sprite 01, 96 + visible + zoomx2, 48 + zoomy8, spr63 + spr_orange
	sprite 02, 102 + visible + zoomx2, 75 + zoomy2 + flipy, spr62 + spr_red
	sprite 03, 134 + visible + zoomx2, 58 + zoomy8, spr63 + spr_orange
	sprite 04, 140 + visible + zoomx2, 85 + zoomy2 + flipy, spr62 + spr_red
	sprite 05, 128 + visible + zoomx2, 66 + zoomy8 + flipx , spr63 + spr_orange
	sprite 06, 120 + visible + zoomx2, 93 + zoomy2 + flipy, spr62 + spr_red
	
	REM	sprite 07, x + visible + zoomx2, 69 + zoomy2 + flipy, spr62 + spr_red

	print at 102 color bg_cyan, "YOU BEAT"
	print at 122, "LEVEL ", <>level, "!"
	
	gosub upgrade_end
	
	play off
	
	if col2 and hit_sprite5 then
		player_x = 24
		player_y = 75
	end if
	if col2 and hit_sprite6 then
		player_x = 77
		player_y = 75
	end if
	if col2 and hit_sprite7 then
		player_x = 147
		player_y = 74
	end if
	end

new_level_stats:	procedure
	map = 0
	daytime = 0
	daytime_cnt = 0
	direction = 1
	storm_flag = 0
	health = 4
	if level = 5 then storm_qty = 8 : storm_cnt_total = 45 : storm_roll = 45
	if wind_flute = 1 then storm_qty = 12 : storm_cnt_total = 30 : storm_roll = 25
	row = 0
	if town_check = 1 then level = level + 1
	end
	
blank_char:		procedure
	if daytime = 0 then screen background_dawn,20,20,20,11
	if daytime = 1 then screen background,20,20,20,11
	if daytime = 2 then screen background_dusk,20,20,20,11
	if daytime = 3 then screen background_storm,20,20,20,11
	end

lightning:		procedure
	gosub hide_sprites 
	define 60,3,lightning_images
	wait
	play simple
	play storm_sound
if storm_cnt = 30 then
	sprite 04, 85 + visible + zoomx2, 25 + zoomy2, spr62 + spr_yellow
	gosub lightning_wait
	sprite 04, 85 + visible + zoomx2, 25 + zoomy4, spr62 + spr_yellow
	gosub lightning_wait
	sprite 04, 85 + visible + zoomx2, 25 + zoomy8, spr62 + spr_yellow
	'sprite 05, 40 + visible + zoomx2, 35 + zoomy2 + flipx, spr61 + spr_yellow
	gosub lightning_wait
	sprite 04, 85 + visible + zoomx2, 25 + zoomy4, spr62 + spr_yellow
	'sprite 05, 40 + visible + zoomx2, 35 + zoomy4 + flipx, spr61 + spr_yellow
	gosub lightning_wait
	sprite 04, 85 + visible + zoomx2, 25 + zoomy8, spr62 + spr_yellow
	sprite 05, 20 + visible + zoomx2, 35 + zoomy2 + flipx, spr61 + spr_yellow
	gosub lightning_wait
	sprite 04, 85 + visible + zoomx2, 25 + zoomy4, spr62 + spr_yellow
	sprite 05, 20 + visible + zoomx2, 35 + zoomy4 + flipx, spr61 + spr_yellow
	gosub lightning_wait
	sprite 04, 85 + visible + zoomx2, 25 + zoomy2, spr62 + spr_yellow
	sprite 05, 20 + visible + zoomx2, 35 + zoomy8 + flipx, spr61 + spr_yellow
	gosub lightning_wait
	sprite 05, 20 + visible + zoomx2, 25 + zoomy4, spr61 + spr_yellow
	gosub lightning_wait
	sprite 05, 20 + visible + zoomx2, 35 + zoomy8 + flipx, spr61 + spr_yellow	
	gosub lightning_wait
	sprite 05, 20 + visible + zoomx2, 25 + zoomy4, spr61 + spr_yellow
	gosub lightning_wait
	sprite 05, 20 + visible + zoomx2, 35 + zoomy2 + flipx, spr61 + spr_yellow
else
	sprite 04, 40 + visible + zoomx2, 45 + zoomy2, spr60 + spr_yellow
	gosub lightning_wait
	sprite 04, 40 + visible + zoomx2, 45 + zoomy4, spr60 + spr_yellow
	gosub lightning_wait
	sprite 04, 40 + visible + zoomx2, 45 + zoomy8, spr60 + spr_yellow
	sprite 05, 120 + visible + zoomx2, 20 + zoomy2, spr61 + spr_yellow
	gosub lightning_wait
	sprite 04, 40 + visible + zoomx2, 45 + zoomy4, spr60 + spr_yellow
	sprite 05, 120 + visible + zoomx2, 20 + zoomy4, spr61 + spr_yellow
	gosub lightning_wait
	sprite 04, 40 + visible + zoomx2, 45 + zoomy8, spr60 + spr_yellow
	sprite 05, 120 + visible + zoomx2, 20 + zoomy8, spr61 + spr_yellow
	gosub lightning_wait
	sprite 04, 40 + visible + zoomx2, 45 + zoomy4, spr60 + spr_yellow
	sprite 05, 120 + visible + zoomx2, 20 + zoomy4, spr61 + spr_yellow
	gosub lightning_wait
	sprite 04, 40 + visible + zoomx2, 45 + zoomy2, spr60 + spr_yellow
	sprite 05, 120 + visible + zoomx2, 20 + zoomy8, spr61 + spr_yellow
	wait
	sprite 05, 120 + visible + zoomx2, 20 + zoomy4, spr61 + spr_yellow
	gosub lightning_wait
	sprite 05, 120 + visible + zoomx2, 20 + zoomy2, spr61 + spr_yellow
end if
	wait
	sprite 04, behind
	sprite 05, behind
	play off
'	play simple
'	play storm_roll
	end

lightning_wait:		procedure
	for x = 1 to 3
		wait
	next x
	end


REM =============================WIN SCREEN & TALLY SCORE================================
asm org $8040

draw_enemy_big:		procedure
	if enemy = 0 then goto draw_whale_big
	if enemy = 1 then goto draw_serpant_big
	if enemy = 2 then goto draw_squid_big
	if enemy = 3 then goto draw_crab_big
	goto draw_enemy_big_end
	
draw_whale_big:	
	define 57,3,blood_1
	wait
	define 60,2,big_whale 
	if hit_cnt >= hit_total then define alternate 62,1,whale_face_dead else define alternate 62,1,whale_face 
	wait
	if hit_cnt = 1 then if enemy = 0 then sprite 00, whalex + 18 + visible, whaley - 3, spr57 + spr_red
	if hit_cnt >= 2 then if enemy = 0 then sprite 00, whalex + 18 + visible, whaley - 3, spr58 + spr_red
	sprite 05, whalex + hit + visible, whaley - 1 + zoomy2, spr60 + spr_white
	sprite 06, whalex + 8 + hit + visible + zoomx2, whaley - 1 + zoomy2, spr61 + spr_white
	sprite 07, whalex + 24 + hit + visible, whaley - 1 + zoomy2 + flipx, spr61 + spr_white
	sprite 04, whalex + 25 + hit + visible, whaley + 3, spr62 + spr_black
	if hit_cnt = 1 then sprite 00, whalex + 18 + visible, whaley - 3, spr57 + spr_red
	if hit_cnt = 2 then sprite 00, whalex + 18 + visible, whaley - 3, spr58 + spr_red
	'goto whale_move_map
	goto draw_enemy_big_end

draw_serpant_big:
	define 57,1,serpant_horn
	define alternate 60,2,big_serpant
	wait
	if hit_cnt >= hit_total then sprite 04, behind : define 62,1,whale_face_dead else define 62,1,serpant_eye 
	wait
	sprite 06, whalex + hit + visible + zoomx2, whaley - 1 + zoomy2, spr60 + spr_green
	sprite 07, whalex + 16 + hit + visible, whaley - 1 + zoomy2, spr61 + spr_green
	if hit_cnt >= hit_total then 
		sprite 04, whalex + 18 + visible, whaley - 1 + flipy, spr62 + spr_black
	else
		sprite 04, whalex + 17 + hit + visible, whaley - 1 + zoomy2, spr62 + spr_black
	end if
	sprite 05, whalex + 16 + visible, whaley - 3 + zoomy2, spr57 + spr_white
	'goto whale_move_map
	goto draw_enemy_big_end
	
draw_squid_big:		
	define 57,1,squid_tentacle
	define alternate 60,2,big_squid 
	wait
	if hit_cnt >= hit_total then sprite 00, behind : define 62,1,squid_face_dead else define 62,1,squid_eye 
	wait
	sprite 04, whalex + hit + visible, whaley - 1 + zoomy2 + flipx, spr57 + spr_purple
	sprite 05, whalex + 8 + hit + visible, whaley - 1 + zoomy2, spr61 + spr_purple
	sprite 07, whalex + 9 + hit + visible, whaley - 9 + zoomy2 + flipx, spr60 + spr_purple
	sprite 06, whalex + 17 + hit + visible, whaley - 1 + zoomy2, spr57 + spr_purple
	if hit_cnt >= hit_total then
		sprite 00, whalex + 8 + visible, whaley + 3, spr62 + spr_black
	else
		sprite 00, whalex + 8 + visible, whaley - 2 + zoomy2, spr62 + spr_black
	end if
	'goto whale_move_map
	goto draw_enemy_big_end
	
draw_crab_big:
	if hit_cnt >= hit_total then 
		define 57,2,crab_border
		define alternate 57,1, crab_face_dead 
		wait
	else	
		define 57,2,crab_border	'and crab_face
	end if
	define alternate 60,3,big_crab 
	wait
	sprite 04, whalex + hit + visible, whaley - 8 + zoomy2, spr62 + spr_white
	sprite 06, whalex + 8 + hit + visible, whaley - 1 + zoomy2, spr61 + spr_white
	sprite 07, whalex + hit + visible, whaley - 1 + zoomy2, spr60 + spr_white
	sprite 05, whalex + 9 + visible, whaley + 1 + zoomy2, spr58 + spr_red
	sprite 00, whalex + 8 + visible, whaley + zoomy2, spr57 + spr_black	
draw_enemy_big_end:
end

win_screen:
	gosub hide_sprites
	cls
	gosub transition_in
	DEFINE 0,16,game_win_bitmaps_0
	WAIT
	DEFINE 16,16,game_win_bitmaps_1
	WAIT
	DEFINE 32,16,game_win_bitmaps_2
	WAIT
	DEFINE 48,1,game_win_bitmaps_3
	wait
	define 50,3,tally_sprites
	define alternate 53,4,game_win_sprites
	wait
	play simple
	play win_song
	screen game_win_cards
	sprite 00, 101 + visible + zoomx2, 53 + zoomy2, spr50 + spr_yellow
	sprite 01, 99 + visible, 76, spr51 + spr_black
	sprite 02, 109 + visible, 76 + flipx, spr51 + spr_black
	sprite 03, 104 + visible, 59 + flipx, spr52 + spr_orange
	sprite 04, 56 + visible, 52 + zoomy2, spr53 + spr_darkgreen
	sprite 05, 96 + visible + zoomx2, 53 + zoomy2, spr54 + spr_darkgreen
	sprite 06, 91 + visible, 84, spr55 + spr_cyan
	sprite 07, 150 + visible, 83 + zoomy2, spr56 + spr_orange

	PRINT AT 220 COLOR BG_BLUE, "    EMERSON 2015    "
	FOR Y = 1 TO 50
	   WAIT
	NEXT Y
	PRINT COLOR BG_CYAN
	FOR #new_score = 1000 TO 40 STEP - 20
		X = #new_score - 900
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " ALAS! YOU HAVE"
		X = #new_score - 880
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " SUCCESSFULLY  "
		X = #new_score - 860
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " HARVESTED AND "
		X = #new_score - 840
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " REFINED ENOUGH" 
		X = #new_score - 820
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " WHALES TO     "
		X = #new_score - 800
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " SUSTAIN THE   "
		X = #new_score - 780
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " DEVELOPMENT   "
		X = #new_score - 760
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " OF MODERN     "
		X = #new_score - 740
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " INDUSTRY IN   "
		X = #new_score - 720
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " THE NEW WORLD!"
		IF #new_score = 760 THEN PRINT at 60, "               "
		IF #new_score = 740 THEN PRINT at 40, "               "
		IF #new_score = 720 THEN PRINT at 20, "               "
		
		X = #new_score - 640
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " THE NOW       "
		X = #new_score - 620
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " INDUSTRIOUS   "
		X = #new_score - 600
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " COASTLINE IS  "
		X = #new_score - 580
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " EQUIPPED WITH "
		X = #new_score - 560
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " THE LATEST IN "
		X = #new_score - 540
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " MANUFACTURING "
		X = #new_score - 520
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " TECHNOLOGIES, "
		X = #new_score - 500
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " POWERED BY THE"
		X = #new_score - 480
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " FUEL OF YOUR  "
		X = #new_score - 460
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, "VALIENT EFFORT!"
		IF #new_score = 500 THEN PRINT at 60, "               "
		IF #new_score = 480 THEN PRINT at 40, "               "
		IF #new_score = 460 THEN PRINT at 20, "               "
		
		
		X = #new_score - 380
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " YOUR COURAGE  "
		X = #new_score - 360
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " AND BRAVERY   "
		X = #new_score - 340
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " HAS LEFT ITS  "
		X = #new_score - 320
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " IMPACT IN THE "
		X = #new_score - 300
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " HEART OF THE  "
		X = #new_score - 280
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " DEVELOPING    "
		X = #new_score - 260
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " WORLD, AND    "
		X = #new_score - 240
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " THE NAME WYATT"
		X = #new_score - 220
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, "KILLGALLIN WILL"
		X = #new_score - 200
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " BE KNOWN IN   "
		X = #new_score - 180
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " EVERY PORT AND"
		X = #new_score - 160
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " TAVERN...     "
		IF #new_score = 200 THEN PRINT at 60, "               "
		IF #new_score = 180 THEN PRINT at 40, "               "
		IF #new_score = 160 THEN PRINT at 20, "               "
		
		X = #new_score - 80
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, "  FOR YOU ARE  "
		X = #new_score - 60
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, "    A TRUE     "
		X = #new_score - 40
		IF x = 20 OR x = 40 OR x = 60 THEN PRINT AT X, " WHALE HUNTER! "	
		IF #new_score = 80 THEN PRINT at 60, "               "
		IF #new_score = 60 THEN PRINT at 40, "               "
		IF #new_score = 40 THEN PRINT at 20, "               "
		IF x = 60 THEN cnt = 250 else cnt = 50
		FOR X = 1 TO cnt
		   WAIT
		NEXT X
	NEXT #NEW_SCORE	
	for cnt = 0 to 25
	   wait
	next cnt
	print at 45, "THE END"
	gosub upgrade_end
	gosub hide_sprites
	cls
	gosub transition_in
	goto reset
	
game_win_sprites:
'whale ropes
	bitmap "........"
	bitmap "........"
	bitmap "...#####"
	bitmap "###....."
	bitmap "........"
	bitmap "........"
	bitmap "########"
	bitmap "........"
'hand ropes
	bitmap "........"
	bitmap "##......"
	bitmap "..##...."
	bitmap "....##.."
	bitmap "......#."
	bitmap ".......#"
	bitmap "###....."
	bitmap "........"
'front boat sky
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".....#.."
	bitmap ".....#.."
	bitmap ".....##."
	bitmap ".....###"
'back boat
	bitmap "######.."
	bitmap "######.."
	bitmap "#####..."
	bitmap "#####..."
	bitmap "####...."
	bitmap "........"
	bitmap "........"
	bitmap "........"

	' 49 bitmaps
game_win_bitmaps_0:
	DATA $7F80,$BF3F,$BFBF,$A0A0
	DATA $FE01,$E5E4,$E5E5,$0505
	DATA $BFBF,$60A7,$6060,$BFA7
	DATA $FDFD,$06E5,$0606,$FDE5
	DATA $0000,$0000,$0000,$0703
	DATA $0000,$0000,$FF00,$FFFF
	DATA $0000,$0000,$E000,$FFFE
	DATA $0000,$0000,$3F00,$00C0
	DATA $0000,$0000,$F00F,$0000
	DATA $0000,$0000,$00FF,$0000
	DATA $0000,$0000,$FF00,$0000
	DATA $A0B0,$A7A7,$30A0,$807F
	DATA $050D,$E5E5,$0C05,$01FE
	DATA $0000,$0000,$0100,$0303
	DATA $1F0F,$7F3F,$FFFF,$FFFF
	DATA $0000,$0000,$0E01,$4030
game_win_bitmaps_1:
	DATA $0000,$0300,$00FC,$0000
	DATA $0000,$F807,$0000,$0000
	DATA $E0C0,$F800,$FCFC,$FEFE
	DATA $FF00,$0000,$0000,$0000
	DATA $00FF,$0000,$0000,$0000
	DATA $0FF0,$0000,$0000,$0000
	DATA $F800,$0007,$0000,$0000
	DATA $0000,$0000,$0C08,$0E0C
	DATA $0000,$7C00,$7C7C,$7C7C
	DATA $0000,$0000,$E040,$6060
	DATA $0703,$0707,$0F0F,$0F0F
	DATA $FEFE,$FFFF,$FFFF,$FFFF
	DATA $0000,$0000,$0000,$0707
	DATA $0000,$0000,$0100,$8303
	DATA $0000,$0000,$0000,$8080
	DATA $0307,$0001,$0000,$0000
game_win_bitmaps_2:
	DATA $FF3C,$FFFF,$FFFF,$FFFF
	DATA $C0E0,$0080,$0000,$0000
	DATA $0F0F,$0F0F,$0F0F,$070F
	DATA $0103,$0001,$0000,$8000
	DATA $E7C3,$F7E7,$FFFF,$FFFF
	DATA $8080,$C0C0,$C0C0,$80C0
	DATA $0000,$0100,$0001,$0000
	DATA $FFFF,$E7E7,$C3C3,$00C3
	DATA $0000,$8000,$0080,$0000
	DATA $0707,$0303,$0001,$0000
	DATA $FFFF,$FFFF,$FFFF,$1F7F
	DATA $C181,$E7C3,$FFEF,$FFFF
	DATA $FFFF,$FFFF,$FEFF,$F8FC
	DATA $8080,$0080,$0000,$0000
	DATA $0301,$0001,$0000,$0000
	DATA $FFFF,$00FF,$0000,$0000
game_win_bitmaps_3:
	DATA $FCF8,$00F8,$0000,$0000

	REM 20x12 cards
game_win_cards:
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$0804,$080C,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$0814,$081C,$1200,$1200,$1200
	DATA $1200,$1200,$1A27,$1A2F,$1A2F,$1A37,$1200,$1A3C,$1A44,$1A4C,$1A54,$1200,$1200,$1200,$1200,$085C,$0864,$1200,$1200,$1200
	DATA $1200,$1A6F,$1A77,$2E7C,$2E84,$2E8C,$1A97,$1A9C,$1AA4,$1AAC,$1AB4,$1ABA,$1AC6,$1ACA,$0804,$080C,$0804,$080C,$1200,$1200
	DATA $1200,$1AD7,$2600,$2600,$2600,$2600,$1ADF,$1AE7,$1AEF,$1AF7,$1200,$1AFA,$1B02,$1B0A,$0814,$081C,$0814,$081C,$1200,$1200
	DATA $1200,$1B17,$2600,$2600,$2600,$2600,$2600,$1B1F,$1B27,$1B2F,$1200,$1B37,$1B3F,$1B47,$085C,$0864,$085C,$0864,$1200,$1200
	DATA $1200,$1B4F,$1B57,$2600,$2600,$2600,$2600,$1B5F,$1B67,$1B6F,$1B70,$1D78,$1D78,$1D78,$1D78,$1D78,$1D78,$1D78,$1B80,$1200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200

enemy_attack:	procedure
	define 53,3,wave_sprites
	wait
'	enemy_atk = rand / 63
'	for x = 1 to enemy_atk
		for cnt = 1 to 7
			if #score < #new_score then #score = #score + 1 : gosub score
			if #score >= #next_score then #next_score = #next_score + 100 : if health < 4 then health = health + 1
			whaley = whaley - 1
			gosub draw_enemy_big
			if enemy > 0 then wait
		next cnt
		for cnt = 1 to 7
			if #score < #new_score then #score = #score + 1 : gosub score
			if #score >= #next_score then #next_score = #next_score + 100 : if health < 4 then health = health + 1
			whaley = whaley + 1
			gosub draw_enemy_big
			if enemy > 0 then wait
		next cnt
'		play simple
'		play enemy_splash
'		for cnt = 1 to 5
'			wait
'		next cnt
'		play off
'	next x
	
	wave_y = whaley + 4
	for wave_x = whalex to 100
		if wave_x < 65 then
			sprite 02, wave_x +	13 + visible + zoomx2, wave_y, spr53 + spr_blue
			sprite 03, wave_x + 15 + visible + zoomx2, wave_y - 4, spr54 + spr_blue
			sprite 01, wave_x + 15 + visible + zoomx2, wave_y - 2, spr55 + spr_white
		end if		
		if wave_x >= 70 then
			sprite 02, wave_x +	13 + visible + zoomx2, wave_y - 3 + zoomy2, spr53 + spr_blue
			sprite 03, wave_x + 15 + visible + zoomx2, wave_y - 11 + zoomy2, spr54 + spr_blue
			sprite 01, wave_x + 15 + visible + zoomx2, wave_y - 7 + zoomy2, spr55 + spr_white	
		end if
		wait
		play simple
		play enemy_splash
	next wave_x
	play off
	if enemy_atk = 4 then
		play simple
		play enemy_hit
		health = health - 1
		goto enemy_attack_end
	end if
	if enemy_atk = 3 then 
		enemy_atk = rand / 127
		if enemy_atk > 0 then 
			play simple
			play enemy_hit
			health = health - 1
			goto enemy_attack_end
		end if
	end if
	enemy_atk = rand / 85
	if enemy_atk = 1 then
		play simple
		play enemy_hit
		health = health - 1
		goto enemy_attack_end
	end if
	play simple
	play enemy_miss
enemy_attack_end:
gosub score
end	

wave_sprites:

	bitmap ".#####.."
	bitmap ".#####.."
	bitmap "#######."
	bitmap "#######."
	bitmap "########"
	bitmap "########"
	bitmap "........"
	bitmap "........"	
	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "..#####."
	bitmap ".#######"
	bitmap ".#######"
	bitmap "#####..."
	bitmap "#####..."

	bitmap "........"
	bitmap "...##.##"
	bitmap "..#.###."
	bitmap "..#....."
	bitmap ".#......"
	bitmap ".#......"
	bitmap "........"		
	bitmap "........"
	
'health_crate:		procedure
'crate_loop:
'	if map = 1 then print at 160 + crate_map color bg_blue, " "
'	wait
'	crate_map = rand / 14
'	if crate_map = 0 then goto crate_loop
'	if crate_map = 19 then goto crate_loop
'	crate_x = 4 + (crate_map * 8)
'	if crate_x > player_x - 10 then if crate_x < player_x + 10 then goto crate_loop
'	if map = 1 then print at 160 + crate_map color bg_blue, "\010"
'	end

'crate_sprites:
'	bitmap "........"
'	bitmap "........"
'	bitmap "........"
'	bitmap "........"
'	bitmap "########"
'	bitmap "########"
'	bitmap "########"
'	bitmap "########"
'	
'	bitmap "........"
'	bitmap "........"
'	bitmap "........"
'	bitmap ".#....#."
'	bitmap "########"
'	bitmap ".#....#."
'	bitmap "########"
'	bitmap ".#....#."

asm org $2000
tally_score:
	gosub hide_sprites
	cls
	gosub transition_in
	DEFINE 0,16,tally_bitmaps_0
	WAIT
	DEFINE 16,16,tally_bitmaps_1
	WAIT
	DEFINE 32,10,tally_bitmaps_2
	WAIT
	define 43,7,tally_sprites
	define alternate 49,1,shadow_3
	wait

	y = 0
	#new_score = 0
	SCREEN tally_cards

	REM draw player
	sprite 00, 26 + visible + zoomx2, 73 + zoomy2, spr43 + spr_yellow	'hands
	sprite 01, 23 + visible, 84, spr44 + spr_black	
	sprite 02, 33 + visible, 84 + flipx, spr44 + spr_black	'boots
	sprite 03, 28 + visible, 67, spr45 + spr_orange		'hair

	play simple
	play score_sound
for #new_score = 0 to #score
	gosub tally_draw
for x = 1 to 150	
	if #new_score < #score then #new_score = #new_score + 1
	print at 62 color fg_blue, <5>#new_score
	if y >= 33 then print at 21 color fg_white, "WHALER!" : goto tally_loop
	if y >= 22 then print at 21 color fg_white, "CAPTAIN" : goto tally_loop
	if y >= 11 then print at 21 color fg_white, "MARINER" else print at 21 color fg_white, "SKIPPER"	
tally_loop:
next x
'tally_end: 
	if y < 36 then y = y + 1
	if #new_score >= #score then goto tally_loop_end
next #new_score

tally_loop_end:	

play off
gosub upgrade_end
if level = 10 then if storm_flag = 0 then if timeout_flag = 0 then goto win_screen
gosub hide_sprites
cls
gosub transition_in
goto reset

tally_draw: 	procedure
	if #score > 4982 then
		sprite 04, 96 + visible + zoomx2, y + 11 + flipy, spr49 + spr_black
		sprite 07, 106 + visible + zoomx2, y + zoomy8, spr46 + spr_white	'big whale tail
		sprite 05, 108 + visible + zoomx2, y + 16 + zoomy8, spr47 + spr_white	'big whale body
		sprite 06, 108 + visible + zoomx2, y + 24 + zoomy8, spr48 + spr_white	'big whale head
		goto tally_draw_end
	end if
	if #score > 3321 then
		sprite 04, 96 + visible + zoomx2, y + 11 + flipy, spr49 + spr_black
		sprite 07, 106 + visible + zoomx2, y + 6 + zoomy4, spr46 + spr_white	'big whale tail
		sprite 05, 108 + visible + zoomx2, y + 15 + zoomy4, spr47 + spr_white	'big whale body
		sprite 06, 108 + visible + zoomx2, y + 26 + zoomy4, spr48 + spr_white	'big whale head
		goto tally_draw_end
	end if
	if #score > 1660 then
		sprite 04, 96 + visible + zoomx2, y + 11 + flipy, spr49 + spr_black
		sprite 07, 108 + visible, y + 9 + zoomy2, spr46 + spr_white		'med whale tail
		sprite 05, 110 + visible, y  + 17 + zoomy2, spr47 + spr_white	'med whale body
		sprite 06, 110 + visible, y + 25 + zoomy2, spr48 + spr_white	'med whale head
	else
		sprite 04, 96 + visible + zoomx2, y + 11 + flipy, spr49 + spr_black
		sprite 07, 108 + visible, y + 10, spr46 + spr_white		'small whale tail
		sprite 05, 110 + visible, y + 14, spr47 + spr_white		'small whale body
		sprite 06, 110 + visible, y + 18, spr48 + spr_white		'small whale head	
	end if
tally_draw_end:
end


tally_sprites:
'hands
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "#....#.."
	bitmap "#....#.."
'boots	
	bitmap "........"
	bitmap "....###."
	bitmap "....###."
	bitmap "....###."
	bitmap "...####."
	bitmap "..#####."
	bitmap ".######."
	bitmap ".###.##."
'hair	
	bitmap "........"
	bitmap "..#...#."
	bitmap "..##.##."
	bitmap "..#####."
	bitmap "...###.."
	bitmap "...##..."
	bitmap "..##...."
	bitmap ".##....."
'whale tail
	bitmap "#...#..."
	bitmap "##.##..."
	bitmap ".###...."
	bitmap "..##...."
	bitmap "..##...."
	bitmap "..###..."
	bitmap "..###..."
	bitmap "..####.."
'whale body
	bitmap "####...."
	bitmap "#####..."
	bitmap "#####..."
	bitmap "######.."
	bitmap "######.."
	bitmap "#######."
	bitmap "#######."
	bitmap "#######."
'whale head
	bitmap "#######."
	bitmap "#######."
	bitmap "#######."
	bitmap "#######."
	bitmap "######.."
	bitmap "######.."
	bitmap "#####..."
	bitmap "###....."


	' 42 bitmaps
tally_bitmaps_0:
	DATA $FFFF,$FCFF,$FCFE,$FCFE
	DATA $FFFF,$00FF,$0000,$0000
	DATA $FFFF,$3FFF,$3F7F,$3F7F
	DATA $C0C0,$C0C0,$C0C0,$C0C0
	DATA $C381,$FFE7,$FFFF,$FFFF
	DATA $FCFE,$FCFE,$FCFE,$FCFE
	DATA $3F7F,$3F7F,$3F7F,$3F7F
	DATA $FFFF,$FFFF,$C0C0,$C0C0
	DATA $FFFF,$FFFF,$0000,$0000
	DATA $FFFF,$7EFF,$183C,$0000
	DATA $FFFF,$FFFF,$FFFF,$3C7E
	DATA $0018,$0000,$0000,$0000
	DATA $FCFE,$FCFE,$FFFE,$FFFF
	DATA $0000,$0000,$FF00,$FFFF
	DATA $3F7F,$3F7F,$FF7F,$FFFF
	DATA $8100,$E7C3,$FFFF,$FFFF
tally_bitmaps_1:
	DATA $0303,$0303,$0F0F,$0F0F
	DATA $F8F8,$F8F8,$FFFF,$FFFF
	DATA $0000,$0000,$FFFF,$FFFF
	DATA $0707,$0707,$FFFF,$FFFF
	DATA $F0F0,$F0F0,$FCFC,$FCFC
	DATA $FFFF,$3C7E,$0018,$0000
	DATA $0F0F,$0F0F,$0F0F,$0F0F
	DATA $F8F8,$F8F8,$F8F8,$F8F8
	DATA $0000,$0700,$0707,$0707
	DATA $0000,$C000,$C0C0,$C0C0
	DATA $0707,$0707,$0707,$0707
	DATA $FCFC,$FCFC,$FCFC,$FCFC
	DATA $0000,$0300,$0303,$0303
	DATA $0000,$E000,$E0E0,$E0E0
	DATA $0F03,$7F3F,$CFEF,$EFCF
	DATA $F0C0,$FEFC,$F3F7,$F7F3
tally_bitmaps_2:
	DATA $C0C0,$FFC0,$FFFF,$FFFF
	DATA $0F03,$7F3F,$CFEF,$4FEF
	DATA $F0C0,$FEFC,$F3F7,$F2F7
	DATA $0000,$FF00,$FFFF,$FFFF
	DATA $0000,$0F00,$0F0F,$0F0F
	DATA $0000,$F000,$F0F0,$F0F0
	DATA $F0F0,$E1F1,$F3E3,$FFF3
	DATA $0F0F,$878F,$CFC7,$FFCF
	DATA $0000,$0000,$C300,$C3C3
	DATA $C3C3,$FFC3,$FFFF,$FFFF

	REM 20x12 cards
tally_cards:
	DATA $0802,$080A,$080A,$080A,$080A,$080A,$080A,$080A,$0812,$1A1A,$1200,$1A25,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $082A,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0832,$1A3A,$1A42,$2C4D,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $082A,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0832,$1A1A,$1200,$1C56,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $082A,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0832,$1A3A,$1A42,$1C5E,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $0862,$086A,$086A,$086A,$086A,$086A,$086A,$086A,$0872,$1A1A,$1200,$1C7A,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1A84,$1A8C,$1A94,$1A94,$1A94,$1A94,$1A94,$1A9C,$1AA4,$1200,$1200,$1AAA,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1AB4,$18BC,$1000,$1000,$18C6,$18CE,$1000,$18D4,$1ADC,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1AB4,$18BC,$18E6,$18EE,$18F2,$18FA,$1000,$18D4,$1ADC,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1AB4,$1D04,$1D0A,$1D12,$1D1C,$1D24,$1D2C,$1D1C,$1ADC,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1AB4,$2000,$2F34,$2F3C,$2000,$2000,$2000,$2000,$1ADC,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1C69,$1D41,$1C69,$1D41,$1C69,$1D41,$1C69,$1D41,$1C69,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$1D49,$0200,$1D49,$0200,$1D49,$0200,$1D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200

	
REM ====================================UPGRADE SCREEN CODE==========================================
'asm org $c040
transition_in:	procedure
	xmin = 0
	xmax = 19
	inc = 19
trans_in_loop:
	for y = 0 to 11
	for x = xmin to xmax step inc
		if y < 10 then print at screenpos(x,y) color bg_cyan, "\000" else print at screenpos(x,y) color bg_blue, "\000"
	next x
	wait
	next y	
	xmin = xmin + 1
	xmax = xmax - 1
	inc = inc - 2
	for y = 11 to 0 step -1
	for x = xmin to xmax step inc
		if y < 10 then print at screenpos(x,y) color bg_cyan, "\000" else print at screenpos(x,y) color bg_blue, "\000"
	next x
	wait
	next y
	if xmin = 9 then goto trans_in_end else xmin = xmin + 1 : xmax = xmax - 1 : inc = inc - 2
	goto trans_in_loop
trans_in_end:
	end

transition_out:	procedure
	xmin = 9
	xmax = 10
	inc = 1
	gosub hide_sprites
	cls
	if map = 0 then goto trans_out_loop
	DEFINE 0,16,map_bitmaps_0
	WAIT
	DEFINE 16,4,map_bitmaps_1
	define alternate 20,9,buildings
	wait
	define 36,11,map_sprites
	wait
trans_out_loop:
	for y = 11 to 0 step -1
	for x = xmin to xmax step inc
		if map = 0 then PRINT AT y * 20 + x, background_dawn(y * 20 + x) else PRINT AT y * 20 + x, map_cards(y * 20 + x)
		
	next x
	wait
	next y	
	xmin = xmin - 1
	xmax = xmax + 1
	inc = inc + 2
	for y = 0 to 11
	for x = xmin to xmax step inc
		if map = 0 then PRINT AT y * 20 + x, background_dawn(y * 20 + x) else PRINT AT y * 20 + x, map_cards(y * 20 + x)
	next x
	wait
	next y
	if xmin = 0 then goto trans_out_end else xmin = xmin - 1 : xmax = xmax + 1 : inc = inc + 2
	goto trans_out_loop
trans_out_end:
	if map = 1 then 
		sprite 05, 24 + hit + visible, 80 + zoomy2, spr41 + spr_orange	'left dock
		sprite 06, 77 + hit + visible, 80 + zoomy2, spr41 + spr_orange	'middle dock
		sprite 07, 147 + hit + visible, 79 + zoomy2, spr41 + spr_orange	'right dock
	end if
	end
	
harpoon_upgrade:	procedure
	gosub hide_sprites
	cls
	gosub transition_in
	DEFINE 0,16,harp_up_bitmaps_0
	WAIT
	DEFINE 16,16,harp_up_bitmaps_1
	WAIT
	DEFINE 32,16,harp_up_bitmaps_2
	WAIT
	DEFINE 48,3,harp_up_bitmaps_3
	define alternate 62,2, title_harpoon
	WAIT
	play simple
	play upgrade_song
	screen harp_up_cards
	
	sprite 01,		132 + visible, 6 + zoomy2, spr63 + spr_grey
	SPRITE 02,		137 + VISIBLE + zoomx2, 12 + zoomy8, SPR62 + spr_orange
	wait
	
	print at screenpos(2,4) color bg_cyan, "YOU GOT"
	if harpoon = 2 then print at screenpos(1,5), "HARPOON 2!"
	if harpoon = 3 then print at screenpos(1,5), "HARPOON 3!"
	gosub upgrade_end
	play off
	kill_qty = kill_qty + 2
	wait
	end
	
	
pad_upgrade:	procedure
	gosub hide_sprites
	cls
	gosub transition_in
	DEFINE 0,16,pad_up_bitmaps_0
	WAIT
	DEFINE 16,16,pad_up_bitmaps_1
	WAIT
	DEFINE 32,16,pad_up_bitmaps_2
	WAIT
	DEFINE 48,16,pad_up_bitmaps_3
	WAIT
	play simple
	play upgrade_song
	screen pad_up_cards
	
	print at screenpos(1,4) color bg_cyan, "YOU GOT"
	print at screenpos(1,5), "FASTER"
	print at screenpos(1,6), "PADDLES!"
	gosub upgrade_end
	play off
	kill_qty = kill_qty + 2
	wait
	end
	
	
flute_upgrade:	procedure
	gosub hide_sprites
	cls
	gosub transition_in
	DEFINE 0,16,flute_up_bitmaps_0
	WAIT
	DEFINE 16,16,flute_up_bitmaps_1
	WAIT
	DEFINE 32,13,flute_up_bitmaps_2
	wait
	define 45,5,flute_sprites
	wait
	play simple
	play upgrade_song
	screen flute_up_cards
	wait
	sprite 00, 100 + visible + zoomx2, 24, spr49 + spr_black	'flute holes
	sprite 01, 104 + visible, 29, spr47 + spr_black 			'hand line
	sprite 02, 112 + visible, 26, spr46 + spr_black				'shoulder line
	sprite 03, 104 + visible, 24 + zoomy2, spr45 + spr_red		'shoulder
	sprite 04, 72 + visible, 23 + zoomy2, spr48 + spr_grey		'flute
	sprite 05, 88 + visible , 23 + zoomy2, spr48 + spr_grey
	sprite 06, 92 + visible + zoomx2, 23 + zoomy2, spr48 + spr_grey
	sprite 07, 104 + visible + zoomx2, 23 + zoomy2, spr48 + spr_grey
	print at screenpos(1,4) color bg_cyan, "YOU GOT"
	print at screenpos(2,5), "WIND"
	print at screenpos(1,6), "FLUTE!"
	gosub upgrade_end
	play off
	kill_qty = kill_qty + 2
	wait
	end

	
upgrade_end: 	procedure
	gosub cont1wait
	gosub cont1pause
	end	
	
	


REM =======================================SPRITE DATA==================================	

asm org $7800
small_whale:
	DATA $0000,$0000,$0000,$1800
	DATA $0000,$0000,$0000,$FF7E
med_whale:
	DATA $0000,$0000,$6020,$3CF0
	DATA $0000,$0000,$1F07,$7F3F
big_whale:
'	DATA $0000,$0000,$1808,$7f3c
'	DATA $0f07,$3F1F,$7f7F,$fFFF
	bitmap "........"
	bitmap "........"
	bitmap "....#..."
	bitmap "...##..."
	bitmap "..###..."
	bitmap ".#####.."
	bitmap "########"
	bitmap "....####"

	bitmap "........"
	bitmap ".....###"
	bitmap "...#####"
	bitmap "..######"
	bitmap ".#######"
	bitmap "########"
	bitmap "########"
	bitmap "########"
	
whale_face:
'	data $0000,$00c0,$7060,$0000
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "##......"
	bitmap ".###...."
	bitmap ".##....."
	bitmap "........"
	bitmap "........"
	
whale_face_dead:
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".#.#...."
	bitmap "..#....."
	bitmap ".#.#...."
	bitmap "........"
	bitmap "........"	

big_serpant:
	DATA $0000,$0000,$3C00,$E77E
	DATA $3F1C,$183F,$3818,$E070
serpant_eye:
	DATA $1000,$0000,$0000,$0000
serpant_horn:
	DATA $4800,$0060,$0000,$0000

med_serpant:
'body
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "...##..."
	bitmap ".######."
	bitmap "###..###"
'head	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "..###..."
	bitmap "..####.."
	bitmap "..##...."
	bitmap ".###...."
	bitmap "###....."
'horns	
	bitmap "........"
	bitmap ".#.#...."
	bitmap ".#......"
	bitmap ".##....."
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	
small_serpant:
'body and head
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".....#.."
	bitmap ".....##."
	bitmap ".###.#.."
	bitmap "##.###.."
	
big_squid:
	DATA $0800,$3E1C,$7F7F,$1C5D
	DATA $3E1C,$3E3E,$7F3E,$7F7F
squid_tentacle:
	DATA $0700,$180C,$6633,$98CC
squid_eye:
	DATA $0000,$0000,$0000,$000A

squid_face_dead:
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".#.#.#.#"
	bitmap "..#...#."
	bitmap ".#.#.#.#"
	bitmap "........"
	bitmap "........"	
	
med_squid:
	bitmap "...##..."
	bitmap "..####.."
	bitmap ".#.##.#."
	bitmap "...##..."
	bitmap "...##..."
	bitmap "..####.."
	bitmap "..####.."
	bitmap "..####.."
	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "...##..."
	bitmap "....##.."
	bitmap "...#.##."
	bitmap "....#.##"
	
big_crab:
	DATA $7F7F,$3F3F,$0F1F,$0307
	DATA $C2FC,$0081,$0000,$8000
	DATA $0000,$8000,$F0C0,$FFFC
crab_border:
	DATA $423C,$9281,$8080,$005C
'crab_face:
	DATA $FC78,$FEDA,$44FE,$AAAA	
	
crab_face_dead:
	bitmap "..####.."
	bitmap ".#....#."
	bitmap "#.#..#.#"
	bitmap "#..#..#."
	bitmap "#.#..#.."
	bitmap "#......."
	bitmap ".#.###.."
	bitmap "........"
med_crab:
	bitmap "........"
	bitmap ".#......"
	bitmap ".###...."
	bitmap ".#######"
	bitmap "..######"
	bitmap "...#####"
	bitmap ".....###"
	bitmap ".......#"
	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "######.."
	bitmap "###...#."
	bitmap "##......"
	bitmap "##......"
	bitmap "........"
	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".#####.."
	bitmap "#######."
	bitmap "#######."
	bitmap ".#...#.."
	bitmap "........"
	
small_crab:
'shell
	bitmap "........"
	bitmap "#......."
	bitmap "##......"
	bitmap "####...."
	bitmap "#######."
	bitmap ".####..#"
	bitmap "..##...."
	bitmap "...#...."
'face
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "....###."
	bitmap "...#####"
	bitmap "...#####"
	bitmap "....#.#."
	bitmap "........"
	
REM =====besides harpoon 1, all harpoons are loaded handle first =====

title_harpoon:
	REM =====in air
	bitmap "#......."
	bitmap "........"
	bitmap "........"
	bitmap "..#....."
	bitmap "...#...."
	bitmap "....#..."
	bitmap ".....#.."
	bitmap "......#."	
	
harpoon_1:		' =====spear point: sprite 1 of title harpoon \ sprite 0 of harpoon 1
	bitmap "..#....."
	bitmap "..##...."
	bitmap "..###..."
	bitmap "..####.."
	bitmap "..#####."
	bitmap "..#####."
	bitmap "...#####"
	bitmap "...#####"
beat_level_harpoon:
	bitmap "#......."
	bitmap ".#......"
	bitmap "..#....."
	bitmap "...#...."
	bitmap "....#..."
	bitmap ".....#.."
	bitmap "......#."
	bitmap ".......#"	

harpoon_2:
	bitmap "........"
	bitmap "........"
	bitmap "##......"
	bitmap "####...."
	bitmap "..####.."
	bitmap "....####"
	bitmap "......##"
	bitmap "........"
shadow_4:	
	bitmap ".####..."
	bitmap "..######"
	bitmap "...#####"
	bitmap ".....###"
	bitmap ".......#"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	
harpoon_3:
	bitmap "........"
	bitmap "......##"
	bitmap "....###."
	bitmap "..###..."
	bitmap "###....."
	bitmap "........"
	bitmap "........"
	bitmap "........"
shadow_3:
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "......##"
	bitmap "....####"
	bitmap "..#####."
	bitmap "........"
	
harpoon_4:
	bitmap "......#."
	bitmap "......#."
	bitmap ".....#.."
	bitmap ".....#.."
	bitmap "....#..."
	bitmap "....#..."
	bitmap "...#...."
	bitmap "...#...."
shadow_2:	
	bitmap "..##...."
	bitmap "..##...."
	bitmap ".##....."
	bitmap ".#......"
	bitmap ".#......"
	bitmap "........"
	bitmap "........"
	bitmap "........"
harpoon_5:
	bitmap "....#..."
	bitmap "....#..."
	bitmap "....#..."
	bitmap "....#..."
	bitmap "...#...."
	bitmap "...#...."
	bitmap "...#...."
	bitmap "...#...."
shadow_1:	
	bitmap "..##...."
	bitmap "..##...."
	bitmap "..##...."
	bitmap "..#....."
	bitmap "..#....."
	bitmap "..#....."
	bitmap "........"
	bitmap "........"

	
blood_1:
	DATA $0000,$6308,$0814,$0008
blood_2:
'	DATA $1400,$6B08,$0814,$0808
	bitmap "...#.#.."
	bitmap "....#..."
	bitmap ".##.#.##"
	bitmap "...#.#.."
	bitmap "....#..."
	bitmap "....#..."
	bitmap "....#..."
	bitmap "........"
'blood_3:
	DATA $0000,$0000,$C300,$9924
	
paddle_sprites:

'	DATA $0000,$0300,$0F07,$0F0F
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "......##"
	bitmap ".....###"
	bitmap "....####"
	bitmap "....####"
	bitmap "....####"
	
'	DATA $0F00,$FFFF,$FFFF,$FFFF	
	bitmap "........"
	bitmap "....####"
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "########"

'	DATA $FFFF,$FFFF,$FFFF,$FEFF	
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "#######."
	
'	DATA $FFFF,$FEFF,$E0F8,$0080
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap "#######."
	bitmap "#####..."
	bitmap "###....."
	bitmap "#......."
	bitmap "........"		
	
map_sprites:
	data $0000,$0000,$0e00,$ff5f	
	data $0000,$150a,$0004,$0000
	data $0000,$0000,$2020,$0000
	data $0000,$0604,$0007,$0000
	data $0800,$0808,$0808,$3e7f
	data $0000,$e000,$e0e0,$e0e0
'serpant_map:
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".....##."
	bitmap ".....###"
	bitmap ".....#.."
	bitmap ".##..#.."
	bitmap "#..##..."
'horns
	bitmap "........"
	bitmap "........"
	bitmap "....#..#"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"

	
squid_map:
	bitmap "...#...."
	bitmap "..###..."
	bitmap ".#.#.#.."
	bitmap "...#...."
	bitmap "..###..."
	bitmap "#.###.#."
	bitmap "#.###.#."
	bitmap ".#####.."
	
'crab_map:
'shell
	bitmap "........"
	bitmap "..#....."
	bitmap "..##...."
	bitmap "..####.."
	bitmap "..#####."
	bitmap "...##..#"
	bitmap "....#..."
	bitmap "........"
'face
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".....##."
	bitmap ".....###"
	bitmap ".....#.#"
	

beat_level_sprites:
'boot toe
	bitmap "...###.."
	bitmap "..######"
	bitmap "..######"
	bitmap "...#####"
	bitmap "...#####"
	bitmap "...#####"
	bitmap "....####"	
	bitmap "......##"

	
lose_life_sprites:
'whale fin border
	bitmap "........"
	bitmap "........"
	bitmap "...#####"
	bitmap "..#....."
	bitmap ".#......"
	bitmap "#......."
	bitmap "#......."
	bitmap ".#######"
'whale fin
	bitmap "........"
	bitmap "........"
	bitmap "...#####"
	bitmap "..######"
	bitmap ".#######"
	bitmap "########"
	bitmap "########"
	bitmap ".#######"
'back boat	
	bitmap "########"
	bitmap "########"
	bitmap "########"
	bitmap ".#######"
	bitmap "..######"
	bitmap "........"
	bitmap "........"
	bitmap "........"
'front boat sky	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".......#"
	bitmap "......##"
	bitmap "....####"
'front boat border	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "####...."
	bitmap "######.."
	bitmap "#######."
	
lightning_images:
	bitmap ".....#.."
	bitmap "....#..."
	bitmap "...###.."
	bitmap "..#.#.#."
	bitmap ".#..#..."
	bitmap "...#.#.."
	bitmap "..#..#.."
	bitmap ".#.#..#."
	
	bitmap "...#...."
	bitmap "..#....."
	bitmap "..##...."
	bitmap "..#.#..."
	bitmap ".#...#.."
	bitmap ".#..#.#."
	bitmap "#.#....#"
	bitmap "...#...."
	
	bitmap ".....#.."
	bitmap ".....#.."
	bitmap "....#..."
	bitmap "...#.#.."
	bitmap "..#...#."
	bitmap ".#.#.#.#"
	bitmap "#..#...."
	bitmap "....#..."
	
flute_sprites:
'shoulder in front of hand
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".......#"
	bitmap ".....###"
'shoulder line	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap ".#####.."
	bitmap "#......."
'hand line	
	bitmap "........"
	bitmap "........"
	bitmap ".......#"
	bitmap "......#."
	bitmap ".....#.."
	bitmap "....#..."
	bitmap "..##...."
	bitmap "........"
'flute	
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "########"
	bitmap "..######"
	bitmap "........"
	bitmap "........"
	bitmap "........"
'flute holes
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "#.#.#.#."
	bitmap "........"
	bitmap "........"
	bitmap "........"
	bitmap "........"
	
sundial_sprites:
	bitmap "........"
	bitmap ".....###"
	bitmap "...#####"
	bitmap "..######"
	bitmap ".#######"
	bitmap ".#######"
	bitmap "########"
	bitmap "########"
	
	' 20 bitmaps
map_bitmaps_0:
	DATA $70BC,$C8E7,$A493,$292A
	DATA $183C,$24C3,$2499,$00C3
	DATA $0E3D,$13E7,$25C9,$9454
	DATA $222A,$C894,$94C8,$2A22
	DATA $FFFF,$FFFF,$9BFF,$B3AB
	DATA $4454,$1329,$2913,$5444
	DATA $EFFF,$D7AB,$D739,$EFAB
	DATA $FFFF,$FFFF,$FFFF,$00F8
	DATA $FFFF,$FFFF,$80FF,$0000
	DATA $FFFF,$FFFF,$00FF,$0000
	DATA $FFFF,$FFFF,$FFFF,$000F
	DATA $FFFF,$FFFF,$FFFF,$E0FF
	DATA $FFFF,$FFFF,$FFFF,$00FF
	DATA $07FF,$0000,$0000,$0000
	DATA $FFFF,$003F,$0000,$0000
	DATA $FFFF,$00FF,$0000,$0000
map_bitmaps_1:
	DATA $F0FF,$0000,$0000,$0000
	DATA $2A29,$93A4,$E7C8,$BC70
	DATA $C300,$9924,$C324,$3C18
	DATA $5494,$C925,$E713,$3D0E
buildings:
	DATA $1EFF,$FF82,$FB11,$8A8A
	DATA $54FF,$F455,$9C17,$11F0
	DATA $C99F,$FF09,$2465,$9FB4
	DATA $10FF,$3F10,$BEA2,$E1A3
	DATA $EBFF,$F888,$584F,$7051
	DATA $9FFF,$9093,$73DF,$7FC1
	DATA $F4F4,$FEF4,$87C2,$85FD
	DATA $909C,$92B3,$88FE,$1F08
	DATA $FC24,$9097,$909C,$88FF

map_cards:
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $1C05,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C0D,$1C15
	DATA $1C1D,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0C21,$0200,$1C2D
	DATA $1C1D,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0831,$0200,$1C2D
	DATA $1C1D,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1C2D
	DATA $1C1D,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1C2D
	DATA $1C1D,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1C2D
	DATA $1C1D,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1C2D
	DATA $1C1D,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1C2D
	DATA $1C1D,$0200,$0200,$2A39,$2A41,$2A49,$2A49,$2A51,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2A59,$2A61,$2A61,$2A61,$1C2D
	DATA $1C1D,$2200,$2200,$2200,$2200,$2200,$2200,$2200,$2200,$2200,$2200,$2A69,$2A71,$2A79,$2A81,$2200,$2200,$2200,$2200,$1C2D
	DATA $1C8D,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C95,$1C9D

	
	
background:
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200

background_dawn:
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200


background_dusk:
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200

	REM 20x12 cards
background_storm:
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200

REM ========================TITLE SCREEN==============================	
asm org $f800

	' 62 bitmaps
title_screen_bitmaps_0:
	DATA $7FFF,$0F3F,$8000,$FCE0
	DATA $FEFF,$F8FC,$0000,$0301
	DATA $FEFC,$FFFF,$FFFF,$3F7F
	DATA $0000,$0000,$0000,$F8F0
	DATA $0000,$C000,$F8F0,$FFFC
	DATA $0000,$0000,$0000,$0701
	DATA $0000,$0000,$3F00,$FFFF
	DATA $0000,$0000,$8000,$F8C0
	DATA $8703,$CFC7,$CFCF,$8FCF
	DATA $3F3F,$0F1F,$0307,$FC01
	DATA $FCF8,$FFFE,$FFFF,$7FFF
	DATA $0000,$0000,$C080,$F0E0
	DATA $0301,$0307,$0000,$0000
	DATA $FFFF,$FFFF,$0F3F,$0003
	DATA $8F8F,$8787,$A787,$EFAB
	DATA $9F3F,$FFEF,$FFFF,$FFFF
title_screen_bitmaps_1:
	DATA $FCF8,$FFFE,$FFFF,$FEFE
	DATA $0000,$0000,$0000,$7F1E
	DATA $FFFF,$C0FF,$0000,$0000
	DATA $F0FC,$0000,$0000,$0000
	DATA $0000,$0301,$0F07,$3F1F
	DATA $7F07,$FFFF,$FFFF,$FFFF
	DATA $C000,$F0E0,$FCF8,$FFFE
	DATA $0100,$0703,$1F0F,$7F3F
	DATA $FEFF,$FEFE,$FEFE,$FCFC
	DATA $7F3F,$7F7F,$FF7F,$FFFF
	DATA $C080,$C1C1,$E3E3,$F7E7
	DATA $FFFF,$EFFF,$CBAF,$F7E7
	DATA $7F7F,$7F7F,$1F3F,$030F
	DATA $F8FC,$F8F8,$F0F8,$E0F0
	DATA $FFFF,$8FFF,$C0C3,$E7C3
	DATA $FFFF,$FFFF,$E3FF,$C0C0
title_screen_bitmaps_2:
	DATA $F0F0,$F0F0,$E0F0,$0040
	DATA $7FFF,$000F,$0000,$0000
	DATA $C1E3,$8080,$0000,$0000
	DATA $FFFF,$7FFF,$3F7F,$070F
	DATA $0FFF,$0000,$0000,$0000
	DATA $FFFF,$07FF,$0000,$0000
	DATA $C0E0,$80C0,$0000,$0000
	DATA $7020,$7070,$F979,$7FFB
	DATA $3800,$F078,$E0E0,$C1C0
	DATA $FFFF,$FFFF,$E3F8,$BF8F
	DATA $FFFF,$FFFF,$FF00,$F0FE
	DATA $E0C0,$E0E0,$FC30,$0007
	DATA $FFFF,$FFFF,$FFFF,$FBFF
	DATA $FEFF,$FEFE,$FCFC,$F8F8
	DATA $73FD,$020F,$FFC7,$FFFF
	DATA $7F7F,$3F7F,$1F3F,$070F
title_screen_bitmaps_3:
	DATA $E3E1,$FFF3,$FFFF,$FFFF
	DATA $80C0,$0080,$0000,$C380
	DATA $FFFF,$FFFF,$BFFF,$030F
	DATA $F9C3,$FFFF,$FFFF,$FFFF
	DATA $F0F8,$F8E0,$FFFF,$FFFF
	DATA $0000,$0000,$F000,$FFFF
	DATA $0000,$0000,$0000,$F000
	DATA $07FF,$0000,$0000,$0000
	DATA $FFFF,$077F,$0000,$0000
	DATA $FFFF,$FFFF,$013F,$0000
	DATA $FFFF,$FFFF,$FFFF,$0003
	DATA $FFFF,$FFFF,$FFFF,$03FF
	DATA $00FF,$0000,$0000,$0000
	DATA $8080,$C080,$E0C0,$F8F0

	REM 20x12 cards
title_screen_cards:
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1C06,$1C0E,$1A16,$1A1A,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A16,$1A22,$1200,$1A2A,$1A32,$2C3A,$1C46,$1A4A,$1A52,$1A5A,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A62,$1A6A,$0400,$0400,$0400,$0400,$1C72,$0400,$1A7A,$1A82,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A8F,$0400,$0400,$0400,$0400,$1A92,$1A9A,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1AA7,$1AAF,$2600,$2600,$1AB7,$1200,$1ABF,$2600,$0400,$0400,$0400,$1AC2,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1ACF,$2600,$2600,$2600,$2600,$1AD7,$2600,$18DF,$2EE2,$0400,$0400,$1AEA,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$2600,$08F7,$2600,$2600,$08FF,$0907,$090F,$1B17,$1B1F,$2F22,$2F2A,$1B32,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1B3F,$1B47,$2600,$2600,$094F,$0957,$095F,$1B60,$1B68,$1200,$1200,$1977,$2600,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1B7F,$1B87,$2600,$2600,$2600,$098F,$1D90,$1B98,$1BA0,$1BA8,$1BB0,$2600,$2600,$1200,$1200,$1200,$1200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1400,$1DB8,$1DC0,$1DC8,$1DD0,$1DD8,$0000,$09E1,$09E1,$09E1,$09E1
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1DE9,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400


	' 61 bitmaps
beat_level_bitmaps_0:
	DATA $0000,$0000,$0000,$0F00
	DATA $0000,$0000,$0F00,$F0FF
	DATA $0000,$0F00,$F0FF,$0000
	DATA $FEFC,$FFFF,$FFFF,$3F7F
	DATA $0000,$0000,$C080,$F0E0
	DATA $0000,$0000,$1F00,$FFFF
	DATA $0000,$0000,$FF1F,$E0F8
	DATA $0F00,$F0FF,$0000,$0000
	DATA $F0FF,$0000,$0000,$0000
	DATA $7FFF,$0F3F,$8000,$FCE0
	DATA $FEFF,$F8FC,$0000,$0301
	DATA $FCF8,$FFFE,$FFFF,$FFFF
	DATA $0000,$0300,$0F07,$0F0F
	DATA $0F00,$FFFF,$FFFF,$FFFF
	DATA $FFFF,$FFFF,$FFFF,$FEFF
	DATA $FFFF,$FEFF,$E0F8,$0080
beat_level_bitmaps_1:
	DATA $80C0,$0000,$0000,$0000
	DATA $FFFF,$7F7F,$3F3F,$0F1F
	DATA $E0C0,$F8F0,$FEFC,$FFFF
	DATA $0000,$0000,$0000,$FF01
	DATA $0000,$0000,$3F00,$FFFF
	DATA $0000,$0000,$8000,$F8C0
	DATA $8703,$CFC7,$CFCF,$8FCF
	DATA $3F7F,$0F1F,$0307,$FF07
	DATA $FCF8,$FEFE,$FFFF,$FFFF
	DATA $0F0F,$0107,$0000,$0000
	DATA $FFFF,$FEFF,$0000,$0000
	DATA $E0F8,$0080,$0000,$0000
	DATA $0307,$0001,$0000,$0000
	DATA $FFFF,$FFFF,$3F7F,$031F
	DATA $8F8F,$8787,$A787,$EFAB
	DATA $FFFF,$FEFF,$F8FE,$C0F0
beat_level_bitmaps_2:
	DATA $0000,$0000,$0000,$7F1E
	DATA $0100,$0703,$1F0F,$7F3F
	DATA $FEFF,$FEFE,$FEFE,$FCFC
	DATA $0000,$0101,$0303,$0707
	DATA $FFFF,$EFFF,$CBAF,$F7E7
	DATA $7F7F,$7F7F,$1F3F,$030F
	DATA $F8FC,$F8F8,$F0F8,$E0F0
	DATA $0F0F,$0F0F,$1F0F,$FF3F
	DATA $7FFF,$000F,$0000,$0000
	DATA $C1E3,$8080,$0000,$0000
	DATA $FFFF,$7FFF,$3F7F,$070F
	DATA $0FFF,$0000,$0000,$0000
	DATA $FFFF,$07FF,$0000,$0000
	DATA $C0E0,$80C0,$0000,$0000
	DATA $0000,$0000,$0000,$3F0F
	DATA $0000,$0000,$0000,$C400
beat_level_bitmaps_3:
	DATA $0100,$0101,$0303,$0707
	DATA $FFF8,$FFFF,$FFFF,$FFFF
	DATA $FF00,$FFFF,$FFFF,$FFFF
	DATA $0FFF,$FFF0,$FFFF,$FFFF
	DATA $0000,$C000,$FCF0,$FFFF
	DATA $0000,$0000,$0000,$F080
	DATA $FEFC,$FFFF,$FFFF,$FFFF
	DATA $0F07,$FFFF,$FFFF,$FFFF
	DATA $FFFE,$FFFF,$FFFF,$FFFF
	DATA $8000,$F8E0,$FFFE,$FFFF
	DATA $0000,$0000,$8000,$FCE0
	DATA $FEFF,$FCFC,$F8F8,$F0F0
	DATA $E0F0,$E0E0,$C0C0,$C0C0

	REM 20x12 cards
beat_level_cards:
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A04,$1A0C,$1A14,$1A1E,$1A22,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A04,$1A2C,$1A34,$1A1E,$1A3C,$1A44,$1200,$1C4E,$1C56,$1A5A,$1A22,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1A64,$1A6C,$1A74,$1A7C,$1A84,$1A8A,$1A92,$1A9A,$1AA2,$2CAA,$1CB6,$1ABA,$1AC2,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1ACC,$1AD4,$1ADC,$1200,$1200,$1AE2,$1AEA,$0400,$0400,$0400,$1CF2,$0400,$1AFA,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B07,$0400,$0400,$0400,$0400,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B0F,$2600,$0400,$0400,$0400,$1B12,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B1F,$2600,$1927,$2F2A,$0400,$0400,$1B32,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B38,$0947,$1B4F,$1B57,$2F5A,$2F62,$1B6A,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B77,$097F,$0987,$2600,$098F,$0997,$099F,$1BA7,$1BAF,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B0F,$2600,$09B7,$09BF,$2600,$2600,$2600,$2600,$2600,$1BC7,$1BCF,$1BD7
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$2FD9,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$2FE1,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600,$2600

	' 54 bitmaps
lose_life_bitmaps_0:
	DATA $0000,$0000,$0000,$1F07
	DATA $0000,$0000,$7F00,$FFFF
	DATA $0000,$0000,$FF00,$FFFF
	DATA $0000,$0000,$F000,$FEFC
	DATA $0000,$0100,$0303,$0707
	DATA $7F3F,$FFFF,$FFFF,$FFFF
	DATA $8000,$E0C0,$F8F0,$FCFC
	DATA $0000,$0000,$0800,$0C0C
	DATA $0000,$0000,$0000,$1000
	DATA $0707,$0F0F,$0F0F,$0F0F
	DATA $FEFC,$FEFE,$FFFF,$FFFF
	DATA $7FFF,$0F3F,$8000,$FCE0
	DATA $FEFF,$F8FC,$0000,$0301
	DATA $FEFC,$FFFF,$FFFF,$3F7F
	DATA $0000,$0000,$0000,$F8F0
	DATA $0E0C,$0E0E,$0F0F,$0F0F
lose_life_bitmaps_1:
	DATA $3010,$7030,$F870,$FCFC
	DATA $0F0F,$0F0F,$0F0F,$1F0F
	DATA $FCF8,$FCFC,$FFFE,$FFFF
	DATA $3FFF,$3F0F,$FF7F,$FFFF
	DATA $FFFF,$FFFF,$FFFF,$FEFF
	DATA $0000,$C000,$F8F0,$FFFC
	DATA $0000,$0000,$0000,$0701
	DATA $0000,$0000,$3F00,$FFFF
	DATA $0000,$0000,$8000,$F8C0
	DATA $8703,$CFC7,$CFCF,$8FCF
	DATA $3F3F,$0F1F,$0307,$FC01
	DATA $FCF8,$FFFE,$FFFF,$7FFF
	DATA $0000,$0000,$C080,$F0E0
	DATA $0F0F,$0F0F,$070F,$0103
	DATA $3F1F,$7F3F,$FF7F,$FFFF
	DATA $FFFF,$F8FE,$FFFB,$FFFF
lose_life_bitmaps_2:
	DATA $80FF,$FF3F,$FFFF,$FFFF
	DATA $03FF,$FFFF,$FCFF,$E0F0
	DATA $FEFE,$FCFC,$10F8,$0000
	DATA $0301,$0307,$0000,$0000
	DATA $FFFF,$FFFF,$0F3F,$0003
	DATA $8F8F,$8787,$A787,$EFAB
	DATA $9F3F,$FFEF,$FFFF,$FFFF
	DATA $FCF8,$FFFE,$FFFF,$FEFE
	DATA $3F1F,$001F,$0000,$0000
	DATA $FFFF,$00FF,$0000,$0000
	DATA $FEFF,$00FC,$0000,$0000
	DATA $1FFF,$000F,$4140,$8F43
	DATA $C080,$0080,$0000,$0000
	DATA $FFFF,$C0FF,$0000,$0000
	DATA $F0FC,$0000,$0000,$0000
	DATA $C7E7,$8787,$0707,$0707
lose_life_bitmaps_3:
	DATA $0100,$0101,$0101,$0303
	DATA $FF8F,$FFFF,$FFFF,$FFFF
	DATA $9309,$DBB9,$FFFF,$FFFF
	DATA $8810,$DBC9,$FFFF,$FFFF
	DATA $8949,$BBDC,$FFFF,$FFFF
	DATA $8B43,$BFDF,$FFFF,$FFFF

	REM 20x12 cards
lose_life_cards:
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1A07,$1A0F,$1A17,$1A1F,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1A27,$1A2F,$2600,$2600,$2600,$1A37,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1A3F,$1A47,$1A4F,$2600,$2600,$2600,$2600,$1A57,$1200,$1200,$1200,$1200,$1200,$1200,$1C5E,$1C66,$1A6E,$1A72,$1200,$1200
	DATA $1A7F,$1A87,$1A8F,$0897,$089F,$2600,$2600,$1AA7,$1200,$1A6E,$1AAA,$1200,$1AB2,$1ABA,$2CC2,$1CCE,$1AD2,$1ADA,$1AE2,$1200
	DATA $1AEF,$1A57,$1AF7,$2600,$08FF,$0907,$090F,$1B17,$1200,$1B1A,$1B22,$0400,$0400,$0400,$0400,$1D2A,$0400,$1B32,$1B3A,$1200
	DATA $1B40,$1D48,$1D48,$1D48,$1D48,$1D48,$1D50,$1D58,$1B60,$1200,$1200,$1200,$1200,$0400,$0400,$0400,$0400,$1B6A,$1B72,$1200
	DATA $0200,$0200,$2979,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0D81,$0200,$0200,$0200
	DATA $0200,$0200,$2989,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D91,$0D99,$0DA1,$0DA9,$0200,$0200,$0200
	
REM ===============================BACKGROUND DATA==========================================	
asm org $c040
dim_check:	procedure
	if player_x < 16 then player_x = 16
	if player_x > 150 then player_x = 150
	if player_y < 25 then player_y = 25
	if player_y > 80 then player_y = 80
	if whalex_map < 16 then whalex_map = 16
	if whalex_map > 150 then whalex_map = 150
	if whaley_map < 25 then whaley_map = 25
	if whaley_map > 70 then whaley_map = 70
	end
	' 53 bitmaps
row_throw_bitmaps_0:
	DATA $FEFC,$FFFF,$FFFF,$3F7F
	DATA $0000,$0000,$C000,$F0E0
	DATA $0000,$0100,$0301,$0703
	DATA $1F1F,$0F1F,$0307,$0001
	DATA $FCF8,$FFFE,$FFFF,$FFFF
	DATA $0000,$0000,$C080,$F0E0
	DATA $0000,$0000,$0000,$0F00
	DATA $0000,$0000,$0F00,$F0FF
	DATA $0000,$0F00,$F0FF,$0000
	DATA $0E06,$1C0C,$3818,$7030
	DATA $7FFF,$0F3F,$8000,$FCE0
	DATA $FEFF,$F8FC,$0000,$0301
	DATA $0000,$0000,$C080,$E0C0
	DATA $0000,$0000,$1F00,$FFFF
	DATA $0000,$0000,$FF1F,$E0F8
	DATA $0F00,$F0FF,$0000,$0000
row_throw_bitmaps_1:
	DATA $F0FF,$0000,$0000,$0000
	DATA $E060,$C0C0,$8080,$0000
	DATA $0000,$C000,$F8F0,$FFFC
	DATA $0000,$0000,$0000,$0701
	DATA $0000,$0000,$3F00,$FFFF
	DATA $0000,$0000,$8000,$F8C0
	DATA $8703,$CFC7,$CFCF,$8FCF
	DATA $0000,$0000,$0700,$1F0F
	DATA $E081,$FEF8,$FFFF,$FFFF
	DATA $FFFF,$0F3F,$E381,$EFEB
	DATA $F0E0,$F8F0,$FCF8,$FCFC
	DATA $0000,$0300,$0F07,$0F0F
	DATA $0F00,$FFFF,$FFFF,$FFFF
	DATA $FFFF,$FFFF,$FFFF,$FEFF
	DATA $FFFF,$FEFF,$E0F8,$0080
	DATA $80C0,$0000,$0000,$0000
row_throw_bitmaps_2:
	DATA $FFFF,$7F7F,$3F3F,$0F1F
	DATA $E0C0,$F8F0,$FEFC,$FFFF
	DATA $0000,$0000,$0000,$FF01
	DATA $3F7F,$0F1F,$0307,$FF07
	DATA $FCF8,$FEFE,$FFFF,$FFFF
	DATA $FCFE,$FCF8,$FFFF,$FFFF
	DATA $0000,$0000,$F0C0,$FFFC
	DATA $8F8F,$8787,$A787,$EFAB
	DATA $60C0,$0010,$0000,$0000
	DATA $0307,$0001,$0000,$0101
	DATA $E0E0,$F0E0,$1830,$0408
	DATA $0103,$0101,$0101,$0000
	DATA $F0F0,$FEF8,$FFFF,$FFFF
	DATA $0000,$0100,$FFFF,$FFFF
	DATA $1F07,$FF7F,$FFFF,$FFFF
	DATA $0000,$0000,$C080,$FCE0
row_throw_bitmaps_3:
	DATA $0000,$0100,$0701,$3F0F
	DATA $0000,$3F00,$FFFF,$FFFF
	DATA $0F03,$FFFF,$FFFF,$FFFF
	DATA $C0C0,$E0C0,$F8F0,$FEFC
	DATA $FEFD,$FEFE,$FEFE,$FBFD

	REM 320x12 cards
row_throw_cards:
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A06,$3A0A,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A06,$1A0A,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3806,$380A,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0806,$080A,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A14,$3A06,$3A0A,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A14,$1A06,$1A0A,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3814,$3806,$380A,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0814,$0806,$080A,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A1A,$3A22,$3A2A,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A1A,$1A22,$1A2A,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$381A,$3822,$382A,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$081A,$0822,$082A,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A34,$3A3C,$3A44,$3A06,$3A2A,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A34,$1A3C,$1A44,$1A06,$1A2A,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3834,$383C,$3844,$3806,$382A,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0834,$083C,$0844,$0806,$082A,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A4C,$3A1A,$3A22,$3A2A,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A4C,$1A1A,$1A22,$1A2A,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$384C,$381A,$3822,$382A,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$084C,$081A,$0822,$082A,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1C56,$1C5E,$3A06,$3A0A,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1C56,$1C5E,$1A06,$1A0A,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$1C56,$1C5E,$3806,$380A,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$1C56,$1C5E,$0806,$080A,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1C56,$1C5E,$3A22,$3A62,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1C56,$1C5E,$1A22,$1A62,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$1C56,$1C5E,$3822,$3862,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$1C56,$1C5E,$0822,$0862,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A34,$3A6C,$3A74,$3A06,$3A7C,$3A84,$3200,$1C56,$1C5E,$3A22,$3A2A,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A34,$1A6C,$1A74,$1A06,$1A7C,$1A84,$1200,$1C56,$1C5E,$1A22,$1A2A,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3834,$386C,$3874,$3806,$387C,$3884,$3000,$1C56,$1C5E,$3822,$382A,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0834,$086C,$0874,$0806,$087C,$0884,$0000,$1C56,$1C5E,$0822,$082A,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A14,$3A8C,$1C56,$1C5E,$3A22,$3A62,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A14,$1A8C,$1C56,$1C5E,$1A22,$1A62,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3814,$388C,$1C56,$1C5E,$3822,$3862,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0814,$088C,$1C56,$1C5E,$0822,$0862,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A06,$3A92,$3200,$3A9A,$3AA2,$2CAA,$1CB6,$3A1A,$3A22,$3A2A,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A06,$1A92,$1200,$1A9A,$1AA2,$2CAA,$1CB6,$1A1A,$1A22,$1A2A,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3806,$3892,$3000,$389A,$38A2,$2CAA,$1CB6,$381A,$3822,$382A,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0806,$0892,$0000,$089A,$08A2,$2CAA,$1CB6,$081A,$0822,$082A,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3ABA,$2CAA,$1CC6,$1CCA,$3AD2,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1ABA,$2CAA,$1CC6,$1CCA,$1AD2,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$38BA,$2CAA,$1CC6,$1CCA,$38D2,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$08BA,$2CAA,$1CC6,$1CCA,$08D2,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3ADC,$3AE4,$3AEC,$3AF4,$3AFC,$3B02,$3B0A,$3B12,$3AA2,$2CAA,$1CB6,$3B1A,$3B22,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1ADC,$1AE4,$1AEC,$1AF4,$1AFC,$1B02,$1B0A,$1B12,$1AA2,$2CAA,$1CB6,$1B1A,$1B22,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$38DC,$38E4,$38EC,$38F4,$38FC,$3902,$390A,$3912,$38A2,$2CAA,$1CB6,$391A,$3922,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$08DC,$08E4,$08EC,$08F4,$08FC,$0902,$090A,$0912,$08A2,$2CAA,$1CB6,$091A,$0922,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A4C,$3ABA,$2CAA,$1CC6,$1CCA,$3AD2,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A4C,$1ABA,$2CAA,$1CC6,$1CCA,$1AD2,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$384C,$38BA,$2CAA,$1CC6,$1CCA,$38D2,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$084C,$08BA,$2CAA,$1CC6,$1CCA,$08D2,$0000,$0000
'	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D29,$0D31,$0400,$0400,$0400,$0400,$1D3A,$0400,$0D41,$0D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D29,$0D31,$0400,$0400,$0400,$0400,$1D3A,$0400,$0D41,$0D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D29,$0D31,$0400,$0400,$0400,$0400,$1D3A,$0400,$0D41,$0D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D29,$0D31,$0400,$0400,$0400,$0400,$1D3A,$0400,$0D41,$0D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2C01,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2C01,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2C01,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2C01,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2961,$2969,$2971,$0200,$0200,$0C21,$0D79,$0400,$0400,$0400,$1D3A,$0400,$0D81,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2961,$2969,$2971,$0200,$0200,$0C21,$0D79,$0400,$0400,$0400,$1D3A,$0400,$0D81,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2961,$2969,$2971,$0200,$0200,$0C21,$0D79,$0400,$0400,$0400,$1D3A,$0400,$0D81,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2961,$2969,$2971,$0200,$0200,$0C21,$0D79,$0400,$0400,$0400,$1D3A,$0400,$0D81,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2811,$2C01,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2811,$2C01,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2811,$2C01,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2811,$2C01,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200
'	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D89,$0D91,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D89,$0D91,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D89,$0D91,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D89,$0D91,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2849,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2849,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2849,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2849,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200

	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D29,$0D31,$0400,$0400,$0400,$0400,$1D3A,$0400,$0D41,$0D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D29,$0D31,$0400,$0400,$0400,$0400,$1D3A,$0400,$0D41,$0D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D29,$0D31,$0400,$0400,$0400,$0400,$1D3A,$0400,$0D41,$0D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D29,$0D31,$0400,$0400,$0400,$0400,$1D3A,$0400,$0D41,$0D49,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a06,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a06,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a06,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a06,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2961,$2969,$2971,$0200,$0200,$0C21,$0D79,$0400,$0400,$0400,$1D3A,$0400,$0D81,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2961,$2969,$2971,$0200,$0200,$0C21,$0D79,$0400,$0400,$0400,$1D3A,$0400,$0D81,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2961,$2969,$2971,$0200,$0200,$0C21,$0D79,$0400,$0400,$0400,$1D3A,$0400,$0D81,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$2961,$2969,$2971,$0200,$0200,$0C21,$0D79,$0400,$0400,$0400,$1D3A,$0400,$0D81,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a14,$0a06,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a14,$0a06,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a14,$0a06,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a14,$0a06,$0D51,$0400,$0400,$0400,$0D59,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D89,$0D91,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D89,$0D91,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D89,$0D91,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D89,$0D91,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a4c,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a4c,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a4c,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0a4c,$0D99,$0400,$09A2,$0400,$0400,$0400,$0200,$0200	

	' 55 bitmaps
sail_bitmaps_0:
	DATA $0000,$0101,$0303,$0303
	DATA $FFFF,$FFFF,$00FF,$C080
	DATA $FFFF,$FFFF,$00FF,$0000
	DATA $0000,$0000,$0000,$0700
	DATA $0000,$0000,$0F0F,$F8F8
	DATA $0707,$0F07,$0F0F,$1F1F
	DATA $871F,$F8E1,$FFFE,$FFFF
	DATA $FFFF,$7FFF,$871F,$F8E1
	DATA $0000,$0000,$0000,$1F1F
	DATA $0000,$0000,$7F03,$80FC
	DATA $0000,$1F00,$E0FF,$0000
	DATA $0000,$0100,$0F01,$380F
	DATA $3C07,$E03C,$00E0,$0000
	DATA $0080,$0000,$0000,$0000
	DATA $1F1F,$3F3F,$7F3F,$7F7F
	DATA $FEFC,$FFFF,$FFFF,$3F7F
sail_bitmaps_1:
	DATA $0000,$0000,$C000,$F0E0
	DATA $0000,$0300,$0E03,$380E
	DATA $E038,$80E0,$0080,$0000
	DATA $7FFF,$0F3F,$8000,$FCE0
	DATA $FEFF,$F8FC,$0000,$0301
	DATA $1F1F,$0F1F,$0307,$0001
	DATA $FCF8,$FFFE,$FFFF,$FFFF
	DATA $0000,$0000,$C080,$F0E0
	DATA $0000,$C000,$F8F0,$FFFC
	DATA $0000,$0000,$0000,$0701
	DATA $0000,$0000,$0000,$FFFE
	DATA $8703,$CFC7,$CFCF,$8FCF
	DATA $0000,$0000,$0000,$0F01
	DATA $0000,$0000,$1F03,$FFFF
	DATA $FFFF,$7F7F,$3F3F,$0F1F
	DATA $E0C0,$F8F0,$FEFC,$FFFF
sail_bitmaps_2:
	DATA $0000,$0000,$0000,$FF01
	DATA $0000,$0000,$0000,$FF07
	DATA $0100,$0703,$1F0F,$FFFF
	DATA $FFFF,$FFFF,$FFFF,$FCFE
	DATA $3F7F,$0F1F,$0307,$0001
	DATA $0000,$0000,$8000,$F8C0
	DATA $FCFE,$FCF8,$FFFF,$FFFF
	DATA $0000,$0000,$F0C0,$FFFC
	DATA $BCE3,$F8C0,$FFF3,$FFFF
	DATA $0F0F,$3F1F,$FFFF,$FFFF
	DATA $0000,$0000,$C080,$FCE0
	DATA $8F8F,$8787,$A787,$EFAB
	DATA $0F07,$3F1F,$FF7F,$FFFF
	DATA $8080,$8080,$8080,$8080
	DATA $C387,$E0C0,$FFF0,$FFFF
	DATA $1FFF,$0FFF,$3F77,$FFFF
sail_bitmaps_3:
	DATA $60C0,$0010,$0000,$0000
	DATA $0307,$0001,$0000,$0101
	DATA $0700,$FF3F,$FFFF,$FFFF
	DATA $FF3F,$FFFF,$FFFF,$FFFF
	DATA $3F0F,$7F7F,$FFFF,$FFFF
	DATA $0000,$3F00,$FFFF,$FFFF
	DATA $0F03,$FFFF,$FFFF,$FFFF

	REM 240x12 cards
sail_cards:
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A07,$1C0F,$1C17,$1C17,$1C17,$1C17,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A07,$1C0F,$1C17,$1C17,$1C17,$1C17,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3807,$1C0F,$1C17,$1C17,$1C17,$1C17,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0807,$1C0F,$1C17,$1C17,$1C17,$1C17,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A07,$1C0F,$1C17,$1C17,$1C17,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A07,$1C0F,$1C17,$1C17,$1C17,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3807,$1C0F,$1C17,$1C17,$1C17,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0807,$1C0F,$1C17,$1C17,$1C17,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A07,$1C0F,$1C17,$1C17,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A07,$1C0F,$1C17,$1C17,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3807,$1C0F,$1C17,$1C17,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0807,$1C0F,$1C17,$1C17
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A1C,$3A24,$3A2F,$2600,$2600,$2600,$1C37,$1C3F,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A1C,$1A24,$1A2F,$2600,$2600,$2600,$1C37,$1C3F,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$381C,$3824,$382F,$2600,$2600,$2600,$1C37,$1C3F,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$081C,$0824,$082F,$2600,$2600,$2600,$1C37,$1C3F,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A1C,$3A24,$3200,$3A2F,$2600,$2600,$2600,$1C37,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A1C,$1A24,$1200,$1A2F,$2600,$2600,$2600,$1C37,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$381C,$3824,$3000,$382F,$2600,$2600,$2600,$1C37,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$081C,$0824,$0000,$082F,$2600,$2600,$2600,$1C37,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A44,$3A4C,$3A54,$3200,$3A2F,$2600,$2600,$2600,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A44,$1A4C,$1A54,$1200,$1A2F,$2600,$2600,$2600,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3844,$384C,$3854,$3000,$382F,$2600,$2600,$2600,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0844,$084C,$0854,$0000,$082F,$2600,$2600,$2600
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A5C,$3A64,$3A6C,$3A77,$2600,$2600,$2600,$2600,$2600,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A5C,$1A64,$1A6C,$1A77,$2600,$2600,$2600,$2600,$2600,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$385C,$3864,$386C,$3877,$2600,$2600,$2600,$2600,$2600,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$085C,$0864,$086C,$0877,$2600,$2600,$2600,$2600,$2600,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A5C,$3A64,$3A6C,$3200,$3A77,$2600,$2600,$2600,$2600,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A5C,$1A64,$1A6C,$1200,$1A77,$2600,$2600,$2600,$2600,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$385C,$3864,$386C,$3000,$3877,$2600,$2600,$2600,$2600,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$085C,$0864,$086C,$0000,$0877,$2600,$2600,$2600,$2600,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A7E,$3A82,$3200,$3200,$3A77,$2600,$2600,$2600,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A7E,$1A82,$1200,$1200,$1A77,$2600,$2600,$2600,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$387E,$3882,$3000,$3000,$3877,$2600,$2600,$2600,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$087E,$0882,$0000,$0000,$0877,$2600,$2600,$2600
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A8C,$3A94,$3200,$3200,$2600,$1C9E,$1CA6,$2600,$2600,$2600,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A8C,$1A94,$1200,$1200,$2600,$1C9E,$1CA6,$2600,$2600,$2600,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$388C,$3894,$3000,$3000,$2600,$1C9E,$1CA6,$2600,$2600,$2600,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$088C,$0894,$0000,$0000,$2600,$1C9E,$1CA6,$2600,$2600,$2600,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A7E,$3200,$3200,$3200,$1C9E,$1CA6,$2600,$2600,$2E7E,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A7E,$1200,$1200,$1200,$1C9E,$1CA6,$2600,$2600,$2E7E,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$387E,$3000,$3000,$3000,$1C9E,$1CA6,$2600,$2600,$2E7E,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$087E,$0000,$0000,$0000,$1C9E,$1CA6,$2600,$2600,$2E7E,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3AAA,$3AB2,$3ABA,$1C9E,$1CA6,$2E7E,$2600,$2600,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1AAA,$1AB2,$1ABA,$1C9E,$1CA6,$2E7E,$2600,$2600,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$38AA,$38B2,$38BA,$1C9E,$1CA6,$2E7E,$2600,$2600,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$08AA,$08B2,$08BA,$1C9E,$1CA6,$2E7E,$2600,$2600
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3A7E,$3AC2,$3200,$3ACA,$2ED2,$2400,$1CDE,$2600,$2EE2,$2EEA,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A7E,$1AC2,$1200,$1ACA,$2ED2,$2400,$1CDE,$2600,$2EE2,$2EEA,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$387E,$38C2,$3000,$38CA,$2ED2,$2400,$1CDE,$2600,$2EE2,$2EEA,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$087E,$08C2,$0000,$08CA,$2ED2,$2400,$1CDE,$2600,$2EE2,$2EEA,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3AF2,$3AFA,$3B02,$3AD2,$2400,$1CDE,$2F0A,$2F12,$2F1A,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1AF2,$1AFA,$1B02,$1AD2,$2400,$1CDE,$2F0A,$2F12,$2F1A,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$38F2,$38FA,$3902,$38D2,$2400,$1CDE,$2F0A,$2F12,$2F1A,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$08F2,$08FA,$0902,$08D2,$2400,$1CDE,$2F0A,$2F12,$2F1A,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3B22,$3AB2,$2D2A,$1CDE,$2EAA,$2EB2,$2EBA,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B22,$1AB2,$2D2A,$1CDE,$2EAA,$2EB2,$2EBA,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3922,$38B2,$2D2A,$1CDE,$2EAA,$2EB2,$2EBA,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0922,$08B2,$2D2A,$1CDE,$2EAA,$2EB2,$2EBA
'	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D31,$0D39,$0400,$0400,$0400,$1D42,$1D4A,$0400,$0400,$0CE1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D31,$0D39,$0400,$0400,$0400,$1D42,$1D4A,$0400,$0400,$0CE1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D31,$0D39,$0400,$0400,$0400,$1D42,$1D4A,$0400,$0400,$0CE1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D31,$0D39,$0400,$0400,$0400,$1D42,$1D4A,$0400,$0400,$0CE1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0CB1,$0D51,$0400,$0400,$0400,$1D5A,$0400,$0D19,$0D61,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0CB1,$0D51,$0400,$0400,$0400,$1D5A,$0400,$0D19,$0D61,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0CB1,$0D51,$0400,$0400,$0400,$1D5A,$0400,$0D19,$0D61,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0CB1,$0D51,$0400,$0400,$0400,$1D5A,$0400,$0D19,$0D61,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$1D72,$1D7A,$0D81,$0D89,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$1D72,$1D7A,$0D81,$0D89,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$1D72,$1D7A,$0D81,$0D89,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$1D72,$1D7A,$0D81,$0D89
'	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D91,$0D99,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D91,$0D99,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D91,$0D99,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D91,$0D99,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0DA1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0DA1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0DA1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0DA1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$0400,$0400,$0DA9,$0DB1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$0400,$0400,$0DA9,$0DB1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$0400,$0400,$0DA9,$0DB1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$0400,$0400,$0DA9,$0DB1

	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D31,$0D39,$0400,$0400,$0400,$1D42,$1D4A,$0400,$0400,$0CE1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D31,$0D39,$0400,$0400,$0400,$1D42,$1D4A,$0400,$0400,$0CE1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D31,$0D39,$0400,$0400,$0400,$1D42,$1D4A,$0400,$0400,$0CE1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D31,$0D39,$0400,$0400,$0400,$1D42,$1D4A,$0400,$0400,$0CE1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0CB1,$0D51,$0400,$0400,$0400,$1D5A,$0400,$0b1a,$0D61,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0CB1,$0D51,$0400,$0400,$0400,$1D5A,$0400,$0b1a,$0D61,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0CB1,$0D51,$0400,$0400,$0400,$1D5A,$0400,$0b1a,$0D61,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0CB1,$0D51,$0400,$0400,$0400,$1D5A,$0400,$0b1a,$0D61,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$1D72,$1D7A,$0D81,$0D89,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$1D72,$1D7A,$0D81,$0D89,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$1D72,$1D7A,$0D81,$0D89,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$1D72,$1D7A,$0D81,$0D89
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D91,$0D99,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D91,$0D99,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D91,$0D99,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0D91,$0D99,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0DA1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0DA1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0DA1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0400,$0400,$0400,$0400,$0DA1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$0400,$0400,$0DA9,$0DB1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$0400,$0400,$0DA9,$0DB1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$0400,$0400,$0DA9,$0DB1,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0D69,$0400,$0400,$0400,$0DA9,$0DB1
	


	REM 20x12 cards
harp_up_cards:
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1C06,$1C0E,$1A16,$1A1A,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A16,$1A22,$1200,$1A2A,$1A32,$2C3A,$1C46,$1A4A,$1A52,$1A5A,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A62,$1A6A,$0400,$0400,$0400,$0400,$1C72,$0400,$1A7A,$1A82,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A8F,$0400,$0400,$0400,$0400,$1A92,$1A9A,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1AA7,$2600,$0400,$0400,$0400,$1AAA,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1AB7,$2600,$18BF,$2EC2,$0400,$0400,$1ACA,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1AD0,$1AD8,$08E7,$1AEF,$1AF7,$2EFA,$2F02,$1B0A,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B10,$1B18,$1B20,$1B28,$1200,$1200,$1937,$2600,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B38,$1D40,$1B48,$1B50,$1B58,$1B60,$2600,$2600,$1200,$1200,$1200,$1200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1400,$1D68,$1D70,$1D78,$1D80,$1D88,$0000,$0000,$0000,$0000,$0000
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1D91,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400



	REM 20x12 cards
pad_up_cards:
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A04,$1A0C,$1A14,$1A1E,$1A22,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A04,$1A2C,$1A34,$1A1E,$1A3C,$1A44,$1200,$1C4E,$1C56,$1A5A,$1A22,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1A64,$1A6C,$1A74,$1A7C,$1A84,$1A8A,$1A92,$1A9A,$1AA2,$2CAA,$1CB6,$1ABA,$1AC2,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1ACC,$1AD4,$1ADC,$1200,$1200,$1AE2,$1AEA,$0400,$0400,$0400,$1CF2,$0400,$1AFA,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B07,$0400,$0400,$0400,$0400,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B0F,$2600,$0400,$0400,$0400,$1B12,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B1F,$2600,$1927,$2F2A,$0400,$0400,$1B32,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B38,$1B40,$094F,$1B57,$1B5F,$2F62,$2F6A,$1B72,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B78,$1B80,$1B88,$1B90,$1200,$1200,$199F,$2600,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1BA0,$1DA8,$1BB0,$1BB8,$1BC0,$1BC8,$2600,$2600,$1200,$1200,$1200,$1200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1400,$1DD0,$1DD8,$1DE0,$1DE8,$1DF0,$0000,$0000,$0000,$0000,$0000
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1DF9,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400
	


	
	REM 20x12 cards
flute_up_cards:
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1C06,$1C0E,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A16,$1A1A,$1200,$1A16,$1A22,$2C2A,$1C36,$1A3A,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A42,$1A4A,$0400,$0400,$0400,$0400,$1C52,$0400,$1A5A,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A67,$0400,$0400,$0400,$0400,$1A6A,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A77,$2600,$0400,$0400,$0400,$1A7A,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1A87,$2600,$188F,$2E92,$0400,$0400,$1A9A,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1AA0,$1AA8,$08B7,$1ABF,$1AC7,$2ECA,$2ED2,$1ADA,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1AE0,$1AE8,$1AF0,$1AF8,$1200,$1200,$1907,$2600,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1B08,$1D10,$1B18,$1B20,$1B28,$1B30,$2600,$2600,$1200,$1200,$1200,$1200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1400,$1D38,$1D40,$1D48,$1D50,$1D58,$0000,$0000,$0000,$0000,$0000
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$1D61,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400,$1400
	
	' 52 bitmaps
sundial_bitmaps_0:
	DATA $FFFF,$FFFF,$FFFF,$F0FE
	DATA $FFFF,$FFFF,$C0FC,$0000
	DATA $FFFF,$FFFF,$0000,$0000
	DATA $FFFF,$FFFF,$033F,$0000
	DATA $FFFF,$FFFF,$FFFF,$0F7F
	DATA $FFFF,$FCFE,$F0F8,$C0E0
	DATA $80E0,$0000,$0000,$0000
	DATA $0107,$0000,$0000,$0000
	DATA $FFFF,$3F7F,$0F1F,$0307
	DATA $FFFF,$FCFE,$F8FC,$F0F8
	DATA $0080,$0000,$0000,$0000
	DATA $0001,$0000,$0000,$0000
	DATA $FFFF,$3F7F,$1F3F,$0F1F
	DATA $E0F0,$C0E0,$C0C0,$8080
	DATA $0000,$3800,$8244,$8282
	DATA $0707,$0303,$0103,$0001
sundial_bitmaps_1:
	DATA $0000,$0000,$0505,$0002
	DATA $0000,$0000,$5050,$0050
	DATA $8282,$8282,$4444,$4444
	DATA $0000,$0000,$0A0A,$0004
	DATA $A800,$48A8,$0000,$0A0A
	DATA $4444,$4444,$4444,$2828
	DATA $0000,$0000,$0000,$0101
	DATA $2A00,$122A,$0000,$5454
	DATA $8080,$C0C0,$E0C0,$F0E0
	DATA $0004,$0500,$0405,$0000
	DATA $0000,$4000,$8040,$0000
	DATA $2828,$2828,$2828,$1010
	DATA $0000,$0A00,$040A,$0000
	DATA $0094,$A800,$A8A8,$0000
	DATA $0101,$0303,$0703,$0F07
	DATA $F8F0,$FCF8,$FEFC,$FFFF
sundial_bitmaps_2:
	DATA $0000,$0000,$0000,$8000
	DATA $5454,$0054,$0101,$0001
	DATA $0000,$0000,$4040,$0840
	DATA $0010,$0000,$0000,$0000
	DATA $0000,$0000,$0102,$A802
	DATA $242A,$002A,$0080,$0080
	DATA $0000,$0000,$0000,$0100
	DATA $1F0F,$3F1F,$7F3F,$FFFF
	DATA $E0C0,$F8F0,$FEFC,$FFFF
	DATA $0000,$0000,$0000,$C080
	DATA $0908,$0100,$0000,$0000
	DATA $5400,$5494,$0000,$0000
	DATA $A848,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0301
	DATA $0703,$1F0F,$7F3F,$FFFF
	DATA $FEF0,$FFFF,$FFFF,$FFFF
sundial_bitmaps_3:
	DATA $0000,$FCC0,$FFFF,$FFFF
	DATA $0000,$0000,$FFFF,$FFFF
	DATA $0000,$3F03,$FFFF,$FFFF
	DATA $7F0F,$FFFF,$FFFF,$FFFF	

	REM 20x12 cards
sundial_cards:
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200,$1200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$1801,$1809,$1811,$1819,$1821,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$1829,$1831,$1000,$1000,$1000,$1839,$1841,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1849,$1851,$1000,$1000,$1000,$1000,$1000,$1859,$1861,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1869,$1000,$1000,$1000,$1870,$1000,$1000,$1000,$1879,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1880,$1888,$1000,$1000,$1890,$1000,$1000,$1898,$1000,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1000,$18A0,$1000,$1000,$18A8,$1000,$18B0,$18B8,$1000,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$18C1,$18C8,$18D0,$1000,$18D8,$1000,$18E0,$18E8,$18F1,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$18F9,$1901,$1908,$1910,$1918,$1920,$1928,$1931,$1939,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$1941,$1949,$1950,$1958,$1960,$1969,$1971,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$1979,$1981,$1989,$1991,$1999,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	
	REM 20x12 cards
sundial_dawn_cards:
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200,$3200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$1801,$1809,$1811,$1819,$1821,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$1829,$1831,$1000,$1000,$1000,$1839,$1841,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1849,$1851,$1000,$1000,$1000,$1000,$1000,$1859,$1861,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1869,$1000,$1000,$1000,$1870,$1000,$1000,$1000,$1879,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1880,$1888,$1000,$1000,$1890,$1000,$1000,$1898,$1000,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1000,$18A0,$1000,$1000,$18A8,$1000,$18B0,$18B8,$1000,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$18C1,$18C8,$18D0,$1000,$18D8,$1000,$18E0,$18E8,$18F1,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$18F9,$1901,$1908,$1910,$1918,$1920,$1928,$1931,$1939,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$1941,$1949,$1950,$1958,$1960,$1969,$1971,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$1979,$1981,$1989,$1991,$1999,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200

	REM 20x12 cards
sundial_dusk_cards:
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000,$3000
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$1801,$1809,$1811,$1819,$1821,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$1829,$1831,$1000,$1000,$1000,$1839,$1841,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1849,$1851,$1000,$1000,$1000,$1000,$1000,$1859,$1861,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1869,$1000,$1000,$1000,$1870,$1000,$1000,$1000,$1879,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1880,$1888,$1000,$1000,$1890,$1000,$1000,$1898,$1000,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1000,$18A0,$1000,$1000,$18A8,$1000,$18B0,$18B8,$1000,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$18C1,$18C8,$18D0,$1000,$18D8,$1000,$18E0,$18E8,$18F1,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$18F9,$1901,$1908,$1910,$1918,$1920,$1928,$1931,$1939,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$1941,$1949,$1950,$1958,$1960,$1969,$1971,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$1979,$1981,$1989,$1991,$1999,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	
	REM 20x12 cards
sundial_storm_cards:
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$1801,$1809,$1811,$1819,$1821,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$1829,$1831,$1000,$1000,$1000,$1839,$1841,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1849,$1851,$1000,$1000,$1000,$1000,$1000,$1859,$1861,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1869,$1000,$1000,$1000,$1870,$1000,$1000,$1000,$1879,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1880,$1888,$1000,$1000,$1890,$1000,$1000,$1898,$1000,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$1000,$18A0,$1000,$1000,$18A8,$1000,$18B0,$18B8,$1000,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$18C1,$18C8,$18D0,$1000,$18D8,$1000,$18E0,$18E8,$18F1,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$18F9,$1901,$1908,$1910,$1918,$1920,$1928,$1931,$1939,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$1941,$1949,$1950,$1958,$1960,$1969,$1971,$0200,$0200,$0200,$0200,$0200,$0200,$0200
	DATA $0200,$0200,$0200,$0200,$0200,$0200,$0200,$1979,$1981,$1989,$1991,$1999,$0200,$0200,$0200,$0200,$0200,$0200,$0200,$0200

	
beat_level_music:		data 8

music c4w,c3y,c5w,m1
music d4#,-,d5#,-
music d4#,-,d5#,-
music d4#,-,d5#,-
music d4,-,d5,-
music c4#,-,c5#,-
music c4,-,c5,-
music c4,-,c5,-
music b3,-,b4,-
music c4,-,c5,-
music s,-,s,-
music s,-,s,-

music c4,c3,c5,m1
music d4#,-,d5#,-
music d4#,c3,d5#,m1
music d4#,s,d5#,-
music d4,s,d5,-
music d4#,s,d5#,-
music e4,s,e5,-
music e4,s,e5,-
music d4,-,d5,-
music d4#,-,d5#,-
music s,-,s,-
music s,c3,s,m1

music c4,c3,c5,m1
music d4#,-,d5#,-
music d4#,-,d5#,-
music d4#,-,d5#,-
music d4,-,d5,-
music c4#,-,c5#,-
music d4,-,d5,-
music c4#,-,c5#,-
music c4,-,c5,-
music c4#,-,c5#,-
music c4,-,c5,-
music b3,-,b4,-

music a3,-,a4,-
music b3,-,b4,-
music c4,-,c5,-
music d4#,-,d5#,-
music d4,-,d5,-
music c4,-,c5,-
music a3#,-,a4#,-
music a3#,-,a4#,-
music a3#,-,a4#,-
music c4,-,c5,-
music s,-,s,-
music s,-,s,-

music repeat

spear_miss:	data 1
	music c6z,-,-,-
	music b5,-,-,-
	music a5#,-,-,-
	music a5,-,-,-
	music g5#,-,-,-
	music g5,-,-,-
	music f5#,-,-,-
	music f5,-,-,-
	music e5,-,-,-
	music d5#,-,-,-
	music d5,-,-,-
	music c5#,-,-,-
	music c5,-,-,-
	music b4,-,-,-
	music a4#,-,-,-
	music a4,-,-,-
	music stop
	
spear_hit:	data 1
	music c4y,c4w,-,-
	music s,s,-,-
	music d4,s,-,-
	music s,s,-,-
	music s,f4,-,-
	music s,s,-,-
	music s,s,-,-
	music g4#,s,-,-
	music s,s,-,-
	music s,e4#,-,-
	music s,s,-,-
	music d4,s,-,-
	music s,s,-,-
	music s,c4#,-,-
	music s,s,-,-
	music b3,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music stop
	

enemy_splash:	data 1
	music -,-,-,m3
	music repeat
	
enemy_hit:		data 1
	music c5y,c5w,-,-
	music s,s,-,-
	music d5,s,-,-
	music s,s,-,-
	music s,f5,-,-
	music s,s,-,-
	music s,s,-,-
	music g5#,s,-,-
	music s,s,-,-
	music s,e5#,-,-
	music s,s,-,-
	music d5,s,-,-
	music s,s,-,-
	music s,c5#,-,-
	music s,s,-,-
	music b4,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music stop
	
enemy_miss:		data 1
	music c6y,-,-,-
	music b5,-,-,-
	music a5#,-,-,-
	music a5,-,-,-
	music g5#,-,-,-
	music g5,-,-,-
	music f5#,-,-,-
	music f5,-,-,-
	music e5,-,-,-
	music d5#,-,-,-
	music d5,-,-,-
	music c5#,-,-,-
	music c5,-,-,-
	music b4,-,-,-
	music a4#,-,-,-
	music a4,-,-,-
	music stop
	
	
score_sound:	data 4
	music -,-,-,m2
	music repeat

upgrade_song:		data 4
	music b4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-	
	music -,-,-,-
	music -,-,-,-
	music repeat
	
storm_sound:	data 6
	music -,-,-,m3
	music b2z,c3y,-,m3
	music s,s,-,m1
	music s,-,-,m1
	music s,-,-,-
	music stop
	
flute_song:		data 3
	music f4y,-,-,-
	music s,-,-,-
	music s,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music b4#,-,-,-
	music s,-,-,-
	music s,-,-,-
	music a4#,-,-,-
	music s,-,-,-
	music s,-,-,-
	music b4#,-,-,-
	music s,-,-,-
	music stop
	
game_over_song:		data 3
	music d3y,d3x,-,-
	music -,-,-,-
	music d3,d3,-,-
	music -,-,-,-
	music d3,d3,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music e3,e3,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music e3,e3,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music f3,f3,-,-
	music -,-,-,-
	music f3,f3,-,-
	music -,-,-,-
	music f3,f3,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music e3,e3,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music e3,e3,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music d3,d3,-,-
	music -,-,-,-
	music d3,d3,-,-
	music -,-,-,-
	music d3,d3,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music c3,c3,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music c3,c3,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music b2,b2,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music b2,b2,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music -,-,-,-
	music c3,c3,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music s,s,-,-
	music stop
	
win_song:	data 4
	music a3x,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	
	music b3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music -,-,-,-
	music f3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	
	music a3x,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	
	
	music b3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music c4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-

	music b4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-

	music b4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-		
	

	music a3x,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	
	music b3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music -,-,-,-
	music f3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	
	music a3x,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	
	
	music b3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a3,-,-,-
	music -,-,-,-
	music g3,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music c4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-

	music b4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-

	music b4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music -,-,-,-
	music a4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music -,-,-,-
	music g4,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music d4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music e4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music b3,-,-,-
	music s,-,-,-
	music s,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-
	music -,-,-,-	
	music -,-,-,-
	music -,-,-,-

	music g4,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-
	music s,-,-,-	
	music stop
	
	
REM ========================================MUSIC & SOUNDS================================================

asm org $b800
	' 51 bitmaps
harp_up_bitmaps_0:
	DATA $7FFF,$0F3F,$8000,$FCE0
	DATA $FEFF,$F8FC,$0000,$0301
	DATA $FEFC,$FFFF,$FFFF,$3F7F
	DATA $0000,$0000,$0000,$F8F0
	DATA $0000,$C000,$F8F0,$FFFC
	DATA $0000,$0000,$0000,$0701
	DATA $0000,$0000,$3F00,$FFFF
	DATA $0000,$0000,$8000,$F8C0
	DATA $8703,$CFC7,$CFCF,$8FCF
	DATA $3F3F,$0F1F,$0307,$FC01
	DATA $FCF8,$FFFE,$FFFF,$7FFF
	DATA $0000,$0000,$C080,$F0E0
	DATA $0301,$0307,$0000,$0000
	DATA $FFFF,$FFFF,$0F3F,$0003
	DATA $8F8F,$8787,$A787,$EFAB
	DATA $9F3F,$FFEF,$FFFF,$FFFF
harp_up_bitmaps_1:
	DATA $FCF8,$FFFE,$FFFF,$FEFE
	DATA $0000,$0000,$0000,$7F1E
	DATA $FFFF,$C0FF,$0000,$0000
	DATA $F0FC,$0000,$0000,$0000
	DATA $0100,$0703,$1F0F,$7F3F
	DATA $FEFF,$FEFE,$FEFE,$FCFC
	DATA $0000,$0101,$0303,$0707
	DATA $FFFF,$EFFF,$CBAF,$F7E7
	DATA $7F7F,$7F7F,$1F3F,$030F
	DATA $F8FC,$F8F8,$F0F8,$E0F0
	DATA $0000,$0000,$1C00,$3F3F
	DATA $0F0F,$0F0F,$1F0F,$FFBF
	DATA $7FFF,$000F,$0000,$0000
	DATA $C1E3,$8080,$0000,$0000
	DATA $FFFF,$7FFF,$3F7F,$070F
	DATA $0FFF,$0000,$0000,$0000
harp_up_bitmaps_2:
	DATA $FFFF,$07FF,$0000,$0000
	DATA $C0E0,$80C0,$0000,$0000
	DATA $0000,$0000,$0000,$0F01
	DATA $1F3F,$1F1F,$030F,$FFF8
	DATA $FFFF,$FFFF,$FFFF,$FBFF
	DATA $FEFF,$FEFE,$FCFC,$F8F8
	DATA $73FD,$020F,$FFC7,$FFFF
	DATA $7F3F,$FF7F,$FFFF,$3C7F
	DATA $FFFF,$FFFF,$BFFF,$030F
	DATA $F9C3,$FFFF,$FFFF,$FFFF
	DATA $F0F8,$F8E0,$FFFF,$FFFF
	DATA $0000,$0000,$F000,$FFFF
	DATA $0000,$0000,$0000,$F000
	DATA $07FF,$0000,$0000,$0000
	DATA $FFFF,$077F,$0000,$0000
	DATA $FFFF,$FFFF,$013F,$0000
harp_up_bitmaps_3:
	DATA $FFFF,$FFFF,$FFFF,$0003
	DATA $FFFF,$FFFF,$FFFF,$03FF
	DATA $8080,$C080,$E0C0,$F8F0
	
	' 64 bitmaps
pad_up_bitmaps_0:
	DATA $0000,$0000,$0000,$0F00
	DATA $0000,$0000,$0F00,$F0FF
	DATA $0000,$0F00,$F0FF,$0000
	DATA $FEFC,$FFFF,$FFFF,$3F7F
	DATA $0000,$0000,$C080,$F0E0
	DATA $0000,$0000,$1F00,$FFFF
	DATA $0000,$0000,$FF1F,$E0F8
	DATA $0F00,$F0FF,$0000,$0000
	DATA $F0FF,$0000,$0000,$0000
	DATA $7FFF,$0F3F,$8000,$FCE0
	DATA $FEFF,$F8FC,$0000,$0301
	DATA $FCF8,$FFFE,$FFFF,$FFFF
	DATA $0000,$0300,$0F07,$0F0F
	DATA $0F00,$FFFF,$FFFF,$FFFF
	DATA $FFFF,$FFFF,$FFFF,$FEFF
	DATA $FFFF,$FEFF,$E0F8,$0080
pad_up_bitmaps_1:
	DATA $80C0,$0000,$0000,$0000
	DATA $FFFF,$7F7F,$3F3F,$0F1F
	DATA $E0C0,$F8F0,$FEFC,$FFFF
	DATA $0000,$0000,$0000,$FF01
	DATA $0000,$0000,$3F00,$FFFF
	DATA $0000,$0000,$8000,$F8C0
	DATA $8703,$CFC7,$CFCF,$8FCF
	DATA $3F7F,$0F1F,$0307,$FF07
	DATA $FCF8,$FEFE,$FFFF,$FFFF
	DATA $0F0F,$0107,$0000,$0000
	DATA $FFFF,$FEFF,$0000,$0000
	DATA $E0F8,$0080,$0000,$0000
	DATA $0307,$0001,$0000,$0000
	DATA $FFFF,$FFFF,$3F7F,$031F
	DATA $8F8F,$8787,$A787,$EFAB
	DATA $FFFF,$FEFF,$F8FE,$C0F0
pad_up_bitmaps_2:
	DATA $0000,$0000,$0000,$7F1E
	DATA $0100,$0703,$1F0F,$7F3F
	DATA $FEFF,$FEFE,$FEFE,$FCFC
	DATA $0000,$0101,$0303,$0707
	DATA $FFFF,$EFFF,$CBAF,$F7E7
	DATA $7F7F,$7F7F,$1F3F,$030F
	DATA $F8FC,$F8F8,$F0F8,$E0F0
	DATA $0000,$0000,$1C00,$3F3F
	DATA $0F0F,$0F0F,$1F0F,$FFBF
	DATA $7FFF,$000F,$0000,$0000
	DATA $C1E3,$8080,$0000,$0000
	DATA $FFFF,$7FFF,$3F7F,$070F
	DATA $0FFF,$0000,$0000,$0000
	DATA $FFFF,$07FF,$0000,$0000
	DATA $C0E0,$80C0,$0000,$0000
	DATA $0000,$0000,$0000,$0F01
pad_up_bitmaps_3:
	DATA $1F3F,$1F1F,$030F,$FFF8
	DATA $FFFF,$FFFF,$FFFF,$FBFF
	DATA $FEFF,$FEFE,$FCFC,$F8F8
	DATA $73FD,$020F,$FFC7,$FFFF
	DATA $7F3F,$FF7F,$FFFF,$3C7F
	DATA $FFFF,$FFFF,$BFFF,$030F
	DATA $F9C3,$FFFF,$FFFF,$FFFF
	DATA $F0F8,$F8E0,$FFFF,$FFFF
	DATA $0000,$0000,$F000,$FFFF
	DATA $0000,$0000,$0000,$F000
	DATA $07FF,$0000,$0000,$0000
	DATA $FFFF,$077F,$0000,$0000
	DATA $FFFF,$FFFF,$013F,$0000
	DATA $FFFF,$FFFF,$FFFF,$0003
	DATA $FFFF,$FFFF,$FFFF,$03FF
	DATA $8080,$C080,$E0C0,$F8F0
	

	' 45 bitmaps
flute_up_bitmaps_0:
	DATA $7FFF,$0F3F,$8000,$FCE0
	DATA $FEFF,$F8FC,$0000,$0301
	DATA $FEFC,$FFFF,$FFFF,$3F7F
	DATA $0000,$C000,$F8F0,$FFFC
	DATA $0000,$C000,$FFFC,$FFFF
	DATA $0000,$0000,$8000,$F8C0
	DATA $8703,$CFC7,$CFCF,$8FCF
	DATA $0000,$0000,$0000,$FC00
	DATA $0301,$0307,$0000,$0000
	DATA $FFFF,$FFFF,$0F3F,$0003
	DATA $8F8F,$8787,$A787,$EFAB
	DATA $8000,$C0C0,$C0C0,$C0C0
	DATA $0000,$0000,$0000,$7F1E
	DATA $80C0,$8080,$0000,$0000
	DATA $0100,$0703,$1F0F,$7F3F
	DATA $FEFF,$FEFE,$FEFE,$FCFC
flute_up_bitmaps_1:
	DATA $0000,$0101,$0303,$0707
	DATA $FFFF,$EFFF,$CBAF,$F7E7
	DATA $7F7F,$7F7F,$1F3F,$030F
	DATA $F8FC,$F8F8,$F0F8,$E0F0
	DATA $0000,$0000,$1C00,$3F3F
	DATA $0F0F,$0F0F,$1F0F,$FFBF
	DATA $7FFF,$000F,$0000,$0000
	DATA $C1E3,$8080,$0000,$0000
	DATA $FFFF,$7FFF,$3F7F,$070F
	DATA $0FFF,$0000,$0000,$0000
	DATA $FFFF,$07FF,$0000,$0000
	DATA $C0E0,$80C0,$0000,$0000
	DATA $0000,$0000,$0000,$0F01
	DATA $1F3F,$1F1F,$030F,$FFF8
	DATA $FFFF,$FFFF,$FFFF,$FBFF
	DATA $FEFF,$FEFE,$FCFC,$F8F8
flute_up_bitmaps_2:
	DATA $73FD,$020F,$FFC7,$FFFF
	DATA $7F3F,$FF7F,$FFFF,$3C7F
	DATA $FFFF,$FFFF,$BFFF,$030F
	DATA $F9C3,$FFFF,$FFFF,$FFFF
	DATA $F0F8,$F8E0,$FFFF,$FFFF
	DATA $0000,$0000,$F000,$FFFF
	DATA $0000,$0000,$0000,$F000
	DATA $07FF,$0000,$0000,$0000
	DATA $FFFF,$077F,$0000,$0000
	DATA $FFFF,$FFFF,$013F,$0000
	DATA $FFFF,$FFFF,$FFFF,$0003
	DATA $FFFF,$FFFF,$FFFF,$03FF
	DATA $8080,$C080,$E0C0,$F8F0
	